SystemOrganization addCategory: #ConfigurationOfMoose!

Object subclass: #ConfigurationOfMoose
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfMoose'!

!ConfigurationOfMoose class methodsFor: 'accessing' stamp: 'simondenier 1/20/2010 23:15'!
defaultVersion
	^ self project version: 'default'! !

!ConfigurationOfMoose class methodsFor: 'private' stamp: 'tg 11/6/2010 23:51'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) project latestVersion load: #('default') ]! !

!ConfigurationOfMoose class methodsFor: 'metacello tool support' stamp: 'tg 10/19/2009 22:11'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'simondenier 1/20/2010 23:16'!
loadDefault

	Transcript open.
	Transcript show: 'Loading Moose configuration ...'; cr; show: '--------'; cr; cr.
	self defaultVersion load.
	(Smalltalk at: #MooseScripts) perform: #openMooseWorkspace.
	Transcript show: 'Moose configuration loaded. Have fun!!'; cr! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'simon.denier 10/14/2010 00:30'!
loadMinimal
	Transcript open.
	Transcript show: 'Loading Moose configuration ...'; cr; show: '--------'; cr; cr.
	(self project version: 'minimal') load.
	Transcript show: 'Moose configuration loaded. Have fun!!'; cr.
! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'simon.denier 6/2/2010 13:26'!
loadRelease40

	Transcript open.
	Transcript show: 'Loading Moose configuration ...'; cr; show: '--------'; cr; cr.
	self version40 load.
	(Smalltalk at: #MooseScripts) perform: #openMooseReleaseWorkspace.
	Transcript show: 'Moose configuration loaded. Have fun!!'; cr! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'jannik.laval 9/14/2010 13:14'!
loadRelease41

	Transcript open.
	Transcript show: 'Loading Moose configuration ...'; cr; show: '--------'; cr; cr.
	self version41 load.
	(Smalltalk at: #MoosePanel) open.
	Transcript show: 'Moose configuration loaded. Have fun!!'; cr! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'Tg 11/12/2010 19:03'!
loadRelease42

	Transcript open.
	Transcript show: 'Loading Moose configuration ...'; cr; show: '--------'; cr; cr.
	self version42 load.
	(Smalltalk at: #MoosePanel) open.
	Transcript show: 'Moose configuration loaded. Have fun!!'; cr! !

!ConfigurationOfMoose class methodsFor: 'accessing' stamp: 'tg 10/19/2009 22:11'!
project

	^self new project! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'simon.denier 7/6/2010 11:19'!
updateDefault
	"self updateDefault"
	
	self updateDefaultDependencies.
	self loadDefault! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'simon.denier 7/6/2010 11:19'!
updateDefaultDependencies
	"self updateDefaultDependencies"
	
	self project updateProject.
	self updateProjectDependenciesFor: self defaultVersion.
! !

!ConfigurationOfMoose class methodsFor: 'loading' stamp: 'simon.denier 3/31/2010 10:20'!
updateProjectDependenciesFor: version

	version projects do: [:pSpec |
		pSpec projectClassProject updateProject.
		self updateProjectDependenciesFor: pSpec version ]! !

!ConfigurationOfMoose class methodsFor: 'accessing' stamp: 'jannik.laval 6/2/2010 11:31'!
version40
	^ self project version: '4.0'! !

!ConfigurationOfMoose class methodsFor: 'accessing' stamp: 'jannik.laval 9/13/2010 22:26'!
version41
	^ self project version: '4.1'! !

!ConfigurationOfMoose class methodsFor: 'accessing' stamp: 'Tg 11/12/2010 19:03'!
version42
	^ self project version: '4.2-baseline'! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'AlexandreBergel 2/16/2011 17:34'!
baseline40: spec 
	<version: '4.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Filesystem' with: [
				spec repository: 'http://source.wiresong.ca/mc'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin' 'Moose-Finder' 'OSProcess') ];
			package: 'Arki-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Glamour for Moose' 'Moose-Finder') ];
			package: 'Arki-Tests-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter') ];
			package: 'Moose-LAN';
			package: 'Moose-ReferenceModel';
			package: 'Moose-Test-PackageOne';
			package: 'Moose-Test-PackageTwo';
			package: 'Famix-LANTests';
			package: 'Moose-ModelTest';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'MondrianGraphVizLayout' with: [
				spec repository: 'http://www.squeaksource.com/Mondrian'.
				spec requires: 'Mondrian for Moose'];
			package: 'Moose-MondrianScripts' with: [
				spec requires: #('Mondrian for Moose' 'Famix-Extensions') ];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-SmalltalkImporterTests';
			package: 'MooseKGB-TestFamix3';
			package: 'Moose-KGB-P4FullInteracted';
			package: 'Moose-KGB-P6InteractedReferee';
			package: 'Moose-KGB-P5FullReferee';
			package: 'Moose-KGB-P1FullReferencer';
			package: 'Moose-KGB-P2InteractedReferencerReferee';
			package: 'Moose-KGB-P3InteractedReferencer';
			package: 'Moose-KGB-P7ReferencerReferee';
			package: 'Moose-KGB-P8FullReferencer';
			package: 'Moose-KGB-P9FullReferencer';
			package: 'Moose-KGB-P10InteractedReferee';
			package: 'Moose-KGB-P11FullReferee';
			package: 'Moose-KGB-P12FullReferencer';
			package: 'Moose-KGB-P13FullReferencer';
			package: 'Moose-KGB-P14FullReferee';
			package: 'Moose-KGB-PExtensions';
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				'MondrianGraphVizLayout'
				"Moose testing"
				'Moose-LAN'
				'Moose-ReferenceModel'
				'Moose-Test-PackageOne'
				'Moose-Test-PackageTwo'
				'Famix-LANTests'
				'Moose-ModelTest'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Moose-SmalltalkImporterTests'
				'MooseKGB-TestFamix3'
				'Moose-KGB-P4FullInteracted'
				'Moose-KGB-P6InteractedReferee'
				'Moose-KGB-P5FullReferee'
				'Moose-KGB-P1FullReferencer'
				'Moose-KGB-P2InteractedReferencerReferee'
				'Moose-KGB-P3InteractedReferencer'
				'Moose-KGB-P7ReferencerReferee'
				'Moose-KGB-P8FullReferencer'
				'Moose-KGB-P9FullReferencer'
				'Moose-KGB-P10InteractedReferee'
				'Moose-KGB-P11FullReferee'
				'Moose-KGB-P12FullReferencer'
				'Moose-KGB-P13FullReferencer'
				'Moose-KGB-P14FullReferee'
				'Moose-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4'
				'Arki-Tests-Reporter').
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: '2.0-beta.8';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: '1.0';
					repository: 'http://www.squeaksource.com/Moose' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: '2.0-beta.5';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: '2.0-beta.6';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: '2.0-beta.7';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: '2.0-beta.6';
					repository: 'http://www.squeaksource.com/SmallDude' ].
		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					file: 'ConfigurationOfXMLSupport';
					version: '1.0.3';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'tg 11/21/2009 23:07'!
baseline40beta2: spec 
	<version: '4.0-beta.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin')];
			package: 'Moose-LAN';
			package: 'Moose-ReferenceModel';
			package: 'Moose-Test-PackageOne';
			package: 'Moose-Test-PackageTwo';
			package: 'Famix-LANTests';
			package: 'Moose-ModelTest';
			package: 'Famix-Test';
			package: 'Moose-MondrianScripts' with: [
				spec requires: #('Mondrian for Moose' 'Famix-Extensions') ];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-SmalltalkImporterTests';
			package: 'MooseKGB-TestFamix3';
			package: 'Moose-KGB-P4FullInteracted';
			package: 'Moose-KGB-P6InteractedReferee';
			package: 'Moose-KGB-P5FullReferee';
			package: 'Moose-KGB-P1FullReferencer';
			package: 'Moose-KGB-P2InteractedReferencerReferee';
			package: 'Moose-KGB-P3InteractedReferencer';
			package: 'Moose-KGB-P7ReferencerReferee';
			package: 'Moose-KGB-P8FullReferencer';
			package: 'Moose-KGB-P9FullReferencer';
			package: 'Moose-KGB-P10InteractedReferee';
			package: 'Moose-KGB-P11FullReferee';
			package: 'Moose-KGB-P12FullReferencer';
			package: 'Moose-KGB-P13FullReferencer';
			package: 'Moose-KGB-P14FullReferee';
			package: 'Moose-KGB-PExtensions';
			package: 'Moose-PackageBlueprint';
			package: 'Moose-Tests-PackageBlueprint';
			package: 'Moose-PB-P1Hierarchy';
			package: 'Moose-PB-P1Referencer';
			package: 'Moose-PB-P2Hierarchy';
			package: 'Moose-PB-P2Referee';
			package: 'Moose-PB-P3MiddleMan';
			package: 'Moose-PB-P4SelfContained'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				"Moose testing"
				'Moose-LAN'
				'Moose-ReferenceModel'
				'Moose-Test-PackageOne'
				'Moose-Test-PackageTwo'
				'Famix-LANTests'
				'Moose-ModelTest'
				'Famix-Test'
				'Moose-SmalltalkImporterTests'
				'MooseKGB-TestFamix3'
				'Moose-KGB-P4FullInteracted'
				'Moose-KGB-P6InteractedReferee'
				'Moose-KGB-P5FullReferee'
				'Moose-KGB-P1FullReferencer'
				'Moose-KGB-P2InteractedReferencerReferee'
				'Moose-KGB-P3InteractedReferencer'
				'Moose-KGB-P7ReferencerReferee'
				'Moose-KGB-P8FullReferencer'
				'Moose-KGB-P9FullReferencer'
				'Moose-KGB-P10InteractedReferee'
				'Moose-KGB-P11FullReferee'
				'Moose-KGB-P12FullReferencer'
				'Moose-KGB-P13FullReferencer'
				'Moose-KGB-P14FullReferee'
				'Moose-KGB-PExtensions'
				'Moose-Tests-PackageBlueprint'
				'Moose-PB-P1Hierarchy'
				'Moose-PB-P1Referencer'
				'Moose-PB-P2Hierarchy'
				'Moose-PB-P2Referee'
				'Moose-PB-P3MiddleMan'
				'Moose-PB-P4SelfContained' ).
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'tg 12/18/2009 19:15'!
baseline40beta3: spec 
	<version: '4.0-beta.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Filesystem' with: [spec repository: 'http://source.wiresong.ca/mc'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin'). spec requires: 'OSProcess'];
			package: 'Moose-LAN';
			package: 'Moose-ReferenceModel';
			package: 'Moose-Test-PackageOne';
			package: 'Moose-Test-PackageTwo';
			package: 'Famix-LANTests';
			package: 'Moose-ModelTest';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Moose-MondrianScripts' with: [
				spec requires: #('Mondrian for Moose' 'Famix-Extensions') ];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-SmalltalkImporterTests';
			package: 'MooseKGB-TestFamix3';
			package: 'Moose-KGB-P4FullInteracted';
			package: 'Moose-KGB-P6InteractedReferee';
			package: 'Moose-KGB-P5FullReferee';
			package: 'Moose-KGB-P1FullReferencer';
			package: 'Moose-KGB-P2InteractedReferencerReferee';
			package: 'Moose-KGB-P3InteractedReferencer';
			package: 'Moose-KGB-P7ReferencerReferee';
			package: 'Moose-KGB-P8FullReferencer';
			package: 'Moose-KGB-P9FullReferencer';
			package: 'Moose-KGB-P10InteractedReferee';
			package: 'Moose-KGB-P11FullReferee';
			package: 'Moose-KGB-P12FullReferencer';
			package: 'Moose-KGB-P13FullReferencer';
			package: 'Moose-KGB-P14FullReferee';
			package: 'Moose-KGB-PExtensions';
			package: 'Moose-PackageBlueprint';
			package: 'Moose-Tests-PackageBlueprint';
			package: 'Moose-PB-P1Hierarchy';
			package: 'Moose-PB-P1Referencer';
			package: 'Moose-PB-P2Hierarchy';
			package: 'Moose-PB-P2Referee';
			package: 'Moose-PB-P3MiddleMan';
			package: 'Moose-PB-P4SelfContained'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				"Moose testing"
				'Moose-LAN'
				'Moose-ReferenceModel'
				'Moose-Test-PackageOne'
				'Moose-Test-PackageTwo'
				'Famix-LANTests'
				'Moose-ModelTest'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Moose-SmalltalkImporterTests'
				'MooseKGB-TestFamix3'
				'Moose-KGB-P4FullInteracted'
				'Moose-KGB-P6InteractedReferee'
				'Moose-KGB-P5FullReferee'
				'Moose-KGB-P1FullReferencer'
				'Moose-KGB-P2InteractedReferencerReferee'
				'Moose-KGB-P3InteractedReferencer'
				'Moose-KGB-P7ReferencerReferee'
				'Moose-KGB-P8FullReferencer'
				'Moose-KGB-P9FullReferencer'
				'Moose-KGB-P10InteractedReferee'
				'Moose-KGB-P11FullReferee'
				'Moose-KGB-P12FullReferencer'
				'Moose-KGB-P13FullReferencer'
				'Moose-KGB-P14FullReferee'
				'Moose-KGB-PExtensions'
				'Moose-Tests-PackageBlueprint'
				'Moose-PB-P1Hierarchy'
				'Moose-PB-P1Referencer'
				'Moose-PB-P2Hierarchy'
				'Moose-PB-P2Referee'
				'Moose-PB-P3MiddleMan'
				'Moose-PB-P4SelfContained' ).
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'tg 2/16/2010 13:47'!
baseline40beta5: spec 
	<version: '4.0-beta.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Filesystem' with: [
				spec repository: 'http://source.wiresong.ca/mc'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin'). spec requires: 'OSProcess'];
			package: 'Moose-LAN';
			package: 'Moose-ReferenceModel';
			package: 'Moose-Test-PackageOne';
			package: 'Moose-Test-PackageTwo';
			package: 'Famix-LANTests';
			package: 'Moose-ModelTest';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Moose-MondrianScripts' with: [
				spec requires: #('Mondrian for Moose' 'Famix-Extensions') ];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-SmalltalkImporterTests';
			package: 'MooseKGB-TestFamix3';
			package: 'Moose-KGB-P4FullInteracted';
			package: 'Moose-KGB-P6InteractedReferee';
			package: 'Moose-KGB-P5FullReferee';
			package: 'Moose-KGB-P1FullReferencer';
			package: 'Moose-KGB-P2InteractedReferencerReferee';
			package: 'Moose-KGB-P3InteractedReferencer';
			package: 'Moose-KGB-P7ReferencerReferee';
			package: 'Moose-KGB-P8FullReferencer';
			package: 'Moose-KGB-P9FullReferencer';
			package: 'Moose-KGB-P10InteractedReferee';
			package: 'Moose-KGB-P11FullReferee';
			package: 'Moose-KGB-P12FullReferencer';
			package: 'Moose-KGB-P13FullReferencer';
			package: 'Moose-KGB-P14FullReferee';
			package: 'Moose-KGB-PExtensions';
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				"Moose testing"
				'Moose-LAN'
				'Moose-ReferenceModel'
				'Moose-Test-PackageOne'
				'Moose-Test-PackageTwo'
				'Famix-LANTests'
				'Moose-ModelTest'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Moose-SmalltalkImporterTests'
				'MooseKGB-TestFamix3'
				'Moose-KGB-P4FullInteracted'
				'Moose-KGB-P6InteractedReferee'
				'Moose-KGB-P5FullReferee'
				'Moose-KGB-P1FullReferencer'
				'Moose-KGB-P2InteractedReferencerReferee'
				'Moose-KGB-P3InteractedReferencer'
				'Moose-KGB-P7ReferencerReferee'
				'Moose-KGB-P8FullReferencer'
				'Moose-KGB-P9FullReferencer'
				'Moose-KGB-P10InteractedReferee'
				'Moose-KGB-P11FullReferee'
				'Moose-KGB-P12FullReferencer'
				'Moose-KGB-P13FullReferencer'
				'Moose-KGB-P14FullReferee'
				'Moose-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4' ).
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'jannik.laval 9/14/2010 11:56'!
baseline41: spec 
	<version: '4.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Filesystem' with: [
				spec repository: 'http://source.wiresong.ca/mc'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-C' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'PetitManifestMf' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitMSE' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitJava' with: [ spec repository: 'http://www.squeaksource.com/PetitJava' ];
			package: 'Famix-ManifestMf' with: [ spec requires: #('Famix-Core' 'PetitManifestMf') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin' 'Moose-Finder' 'OSProcess') ];
			package: 'Arki-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Glamour for Moose' 'Moose-Finder') ];
			package: 'Arki-Tests-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter') ];
			package: 'Moose-Tests-Core';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Famix-Tests-Extensions';
			package: 'MondrianGraphVizLayout' with: [
				spec repository: 'http://www.squeaksource.com/Mondrian'.
				spec requires: 'Mondrian for Moose'];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-Development-Tools';
			package: 'Moose-Tests-SmalltalkImporter-Core';
			package: 'Moose-TestResources-Reference-Core';
			package: 'Moose-TestResources-Reference-PackageOne';
			package: 'Moose-TestResources-Reference-PackageTwo';
			package: 'Moose-Tests-SmalltalkImporter-LAN';
			package: 'Moose-TestResources-LAN';
			package: 'Moose-Tests-SmalltalkImporter-KGB';
			package: 'Moose-TestResources-KGB-P4FullInteracted';
			package: 'Moose-TestResources-KGB-P6InteractedReferee';
			package: 'Moose-TestResources-KGB-P5FullReferee';
			package: 'Moose-TestResources-KGB-P1FullReferencer';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee';
			package: 'Moose-TestResources-KGB-P8FullReferencer';
			package: 'Moose-TestResources-KGB-P9FullReferencer';
			package: 'Moose-TestResources-KGB-P10InteractedReferee';
			package: 'Moose-TestResources-KGB-P11FullReferee';
			package: 'Moose-TestResources-KGB-P12FullReferencer';
			package: 'Moose-TestResources-KGB-P13FullReferencer';
			package: 'Moose-TestResources-KGB-P14FullReferee';
			package: 'Moose-TestResources-KGB-PExtensions';
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				'MondrianGraphVizLayout'
				"Moose testing"
				'Moose-Tests-Core'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Famix-Tests-Extensions'
				'Moose-Tests-SmalltalkImporter-Core'
				'Moose-TestResources-Reference-Core'
				'Moose-TestResources-Reference-PackageOne'
				'Moose-TestResources-Reference-PackageTwo'
				'Moose-Tests-SmalltalkImporter-LAN'
				'Moose-TestResources-LAN'
				'Moose-Tests-SmalltalkImporter-KGB'
				'Moose-TestResources-KGB-P4FullInteracted'
				'Moose-TestResources-KGB-P6InteractedReferee'
				'Moose-TestResources-KGB-P5FullReferee'
				'Moose-TestResources-KGB-P1FullReferencer'
				'Moose-TestResources-KGB-P2InteractedReferencerReferee'
				'Moose-TestResources-KGB-P3InteractedReferencer'
				'Moose-TestResources-KGB-P7ReferencerReferee'
				'Moose-TestResources-KGB-P8FullReferencer'
				'Moose-TestResources-KGB-P9FullReferencer'
				'Moose-TestResources-KGB-P10InteractedReferee'
				'Moose-TestResources-KGB-P11FullReferee'
				'Moose-TestResources-KGB-P12FullReferencer'
				'Moose-TestResources-KGB-P13FullReferencer'
				'Moose-TestResources-KGB-P14FullReferee'
				'Moose-TestResources-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4'
				'Arki-Tests-Reporter'
				'PetitMSE'
				'PetitManifestMf'
				'PetitJava').
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: '2.0-beta.9';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: '1.0';
					repository: 'http://www.squeaksource.com/Moose' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: '2.0-beta.7';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: '2.0-beta.7';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: '2.0-beta.8';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: '2.0-beta.7';
					repository: 'http://www.squeaksource.com/SmallDude' ].
		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					file: 'ConfigurationOfXMLSupport';
					version: '1.0.5';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'TudorGirba 12/4/2010 20:10'!
baseline42: spec 
	<version: '4.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
					
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'Filesystem' with: [spec repository: 'http://source.lukas-renggli.ch/fs'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation' with: [ spec requires: #('Famix-Core' 'MooseAlgos for Moose') ];
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-C' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core' 'MooseAlgos for Moose') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'PetitManifestMf' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitMSE' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitJava' with: [ spec repository: 'http://www.squeaksource.com/PetitJava' ];
			package: 'Famix-ManifestMf' with: [ spec requires: #('Famix-Core' 'PetitManifestMf') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Moose-MonticelloImporter';
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin' 'Moose-Finder' 'OSProcess') ];
			package: 'Arki-Reporter-Core' with: [ spec repository: 'http://www.squeaksource.com/Arki' ];
			package: 'Arki-Reporter-Browser' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core' 'Glamour for Moose' 'Moose-Finder') ];
			package: 'Arki-Tests-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core') ];
			package: 'Moose-Tests-Core';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Famix-Tests-Extensions';
			package: 'MondrianGraphVizLayout' with: [
				spec repository: 'http://www.squeaksource.com/Mondrian'.
				spec requires: 'Mondrian for Moose'];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('MooseAlgos for Moose' 'Mondrian for Moose' ) ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-Development-Tools';
			package: 'Moose-Tests-SmalltalkImporter-Core';
			package: 'Moose-TestResources-Reference-Core';
			package: 'Moose-TestResources-Reference-PackageOne';
			package: 'Moose-TestResources-Reference-PackageTwo';
			package: 'Moose-Tests-SmalltalkImporter-LAN';
			package: 'Moose-TestResources-LAN';
			package: 'Moose-Tests-SmalltalkImporter-KGB';
			package: 'Moose-TestResources-KGB-P4FullInteracted';
			package: 'Moose-TestResources-KGB-P6InteractedReferee';
			package: 'Moose-TestResources-KGB-P5FullReferee';
			package: 'Moose-TestResources-KGB-P1FullReferencer';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee';
			package: 'Moose-TestResources-KGB-P8FullReferencer';
			package: 'Moose-TestResources-KGB-P9FullReferencer';
			package: 'Moose-TestResources-KGB-P10InteractedReferee';
			package: 'Moose-TestResources-KGB-P11FullReferee';
			package: 'Moose-TestResources-KGB-P12FullReferencer';
			package: 'Moose-TestResources-KGB-P13FullReferencer';
			package: 'Moose-TestResources-KGB-P14FullReferee';
			package: 'Moose-TestResources-KGB-PExtensions';
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				'MondrianGraphVizLayout'
				"Moose testing"
				'Moose-Tests-Core'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Famix-Tests-Extensions'
				'Moose-Tests-SmalltalkImporter-Core'
				'Moose-TestResources-Reference-Core'
				'Moose-TestResources-Reference-PackageOne'
				'Moose-TestResources-Reference-PackageTwo'
				'Moose-Tests-SmalltalkImporter-LAN'
				'Moose-TestResources-LAN'
				'Moose-Tests-SmalltalkImporter-KGB'
				'Moose-TestResources-KGB-P4FullInteracted'
				'Moose-TestResources-KGB-P6InteractedReferee'
				'Moose-TestResources-KGB-P5FullReferee'
				'Moose-TestResources-KGB-P1FullReferencer'
				'Moose-TestResources-KGB-P2InteractedReferencerReferee'
				'Moose-TestResources-KGB-P3InteractedReferencer'
				'Moose-TestResources-KGB-P7ReferencerReferee'
				'Moose-TestResources-KGB-P8FullReferencer'
				'Moose-TestResources-KGB-P9FullReferencer'
				'Moose-TestResources-KGB-P10InteractedReferee'
				'Moose-TestResources-KGB-P11FullReferee'
				'Moose-TestResources-KGB-P12FullReferencer'
				'Moose-TestResources-KGB-P13FullReferencer'
				'Moose-TestResources-KGB-P14FullReferee'
				'Moose-TestResources-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4'
				'Arki-Tests-Reporter'
				'PetitMSE'
				'PetitManifestMf'
				'PetitJava').
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: '1.0-baseline';
					repository: 'http://source.lukas-renggli.ch/petit' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: '2.0-beta.6-baseline';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: '2.1.2';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: '2.1-baseline';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					file: 'ConfigurationOfXMLSupport';
					version: '1.0.7-baseline';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
		spec
			project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					file: 'ConfigurationOfShout';
					version: '1.1';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].	
	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'AlexandreBergel 2/19/2011 10:29'!
baseline431: spec 
	<version: '4.3.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'AST-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Changes' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Critics' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Environment' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Spelling' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Filesystem' with: [
				spec repository: 'http://source.lukas-renggli.ch/fs'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].

		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-C' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'PetitManifestMf' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitMSE' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitJava' with: [ 
				spec repository: 'http://www.squeaksource.com/PetitJava' ];
			package: 'Famix-ManifestMf' with: [ spec requires: #('Famix-Core' 'PetitManifestMf') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter' with: [ spec requires: #('RPackage') ];
			package: 'Moose-MonticelloImporter' with: [ spec requires: #('Moose-SmalltalkImporter') ];
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin' 'Moose-Finder' 'OSProcess') ];
			package: 'Arki-Reporter-Core' with: [ spec repository: 'http://www.squeaksource.com/Arki' ];
			package: 'Arki-Reporter-Browser' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core' 'Glamour for Moose' 'Moose-Finder') ];
			package: 'Arki-Tests-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core') ];
			package: 'Moose-Tests-Core';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Famix-Tests-C';
			package: 'Famix-Tests-Extensions';
			package: 'MondrianGraphVizLayout' with: [
				spec repository: 'http://www.squeaksource.com/Mondrian'.
				spec requires: 'Mondrian for Moose'];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Merlin' 'Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-Development-Tools';
			package: 'Moose-Tests-SmalltalkImporter-Core';
			package: 'Moose-TestResources-Reference-Core';
			package: 'Moose-TestResources-Reference-PackageOne';
			package: 'Moose-TestResources-Reference-PackageTwo';
			package: 'Moose-Tests-SmalltalkImporter-LAN';
			package: 'Moose-TestResources-LAN';
			package: 'Moose-Tests-SmalltalkImporter-KGB';
			package: 'Moose-TestResources-KGB-P4FullInteracted';
			package: 'Moose-TestResources-KGB-P6InteractedReferee';
			package: 'Moose-TestResources-KGB-P5FullReferee';
			package: 'Moose-TestResources-KGB-P1FullReferencer';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee';
			package: 'Moose-TestResources-KGB-P8FullReferencer';
			package: 'Moose-TestResources-KGB-P9FullReferencer';
			package: 'Moose-TestResources-KGB-P10InteractedReferee';
			package: 'Moose-TestResources-KGB-P11FullReferee';
			package: 'Moose-TestResources-KGB-P12FullReferencer';
			package: 'Moose-TestResources-KGB-P13FullReferencer';
			package: 'Moose-TestResources-KGB-P14FullReferee';
			package: 'Moose-TestResources-KGB-PExtensions';
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4';
			package: 'Moose-Tests-MonticelloImporter'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose'
				'Merlin');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				'MondrianGraphVizLayout'
				"Moose testing"
				'Moose-Tests-Core'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Famix-Tests-Extensions'
				'Moose-Tests-SmalltalkImporter-Core'
				'Moose-TestResources-Reference-Core'
				'Moose-TestResources-Reference-PackageOne'
				'Moose-TestResources-Reference-PackageTwo'
				'Moose-Tests-SmalltalkImporter-LAN'
				'Moose-TestResources-LAN'
				'Moose-Tests-SmalltalkImporter-KGB'
				'Moose-TestResources-KGB-P4FullInteracted'
				'Moose-TestResources-KGB-P6InteractedReferee'
				'Moose-TestResources-KGB-P5FullReferee'
				'Moose-TestResources-KGB-P1FullReferencer'
				'Moose-TestResources-KGB-P2InteractedReferencerReferee'
				'Moose-TestResources-KGB-P3InteractedReferencer'
				'Moose-TestResources-KGB-P7ReferencerReferee'
				'Moose-TestResources-KGB-P8FullReferencer'
				'Moose-TestResources-KGB-P9FullReferencer'
				'Moose-TestResources-KGB-P10InteractedReferee'
				'Moose-TestResources-KGB-P11FullReferee'
				'Moose-TestResources-KGB-P12FullReferencer'
				'Moose-TestResources-KGB-P13FullReferencer'
				'Moose-TestResources-KGB-P14FullReferee'
				'Moose-TestResources-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4'
				'Moose-Tests-MonticelloImporter'
				'Arki-Tests-Reporter'
				'PetitMSE'
				'PetitManifestMf'
				'PetitJava').
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: 'default';
					repository: 'http://source.lukas-renggli.ch/petit' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
"		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					file: 'ConfigurationOfXMLSupport';
					version: '1.1.6';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
"		spec project: 'Merlin' with: [
				spec
					className: 'ConfigurationOfMerlin';
					version: 'default';
					file:  'ConfigurationOfMerlin';
					repository: 'http://www.squeaksource.com/Merlin' ].
				
		spec project: 'RPackage' with: [
				spec
					className: 'ConfigurationOfRPackage';
					version: 'default';
					file:  'ConfigurationOfRPackage';
					repository: 'http://www.squeaksource.com/PharoTaskForces' ].

	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'AlexandreBergel 2/19/2011 10:28'!
baseline432: spec 
	<version: '4.3.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'AST-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Changes' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Critics' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Environment' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Spelling' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Filesystem' with: [
				spec repository: 'http://source.lukas-renggli.ch/fs'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].

		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-C' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'PetitManifestMf' with: [ 
				spec requires: #('PetitParser for Moose').
				spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitMSE' with: [ 
				spec requires: #('PetitParser for Moose').
				spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitJava' with: [ 
				spec requires: #('PetitParser for Moose').
				spec repository: 'http://www.squeaksource.com/PetitJava' ];
			package: 'Famix-ManifestMf' with: [ spec requires: #('Famix-Core' 'PetitManifestMf') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter' with: [ spec requires: #('RPackage') ];
			package: 'Moose-MonticelloImporter' with: [ spec requires: #('Moose-SmalltalkImporter') ];
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin' 'Moose-Finder' 'OSProcess') ];
			package: 'Arki-Reporter-Core' with: [ spec repository: 'http://www.squeaksource.com/Arki' ];
			package: 'Arki-Reporter-Browser' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core' 'Glamour for Moose' 'Moose-Finder') ];
			package: 'Arki-Tests-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core') ];
			package: 'Moose-Tests-Core';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Famix-Tests-C';
			package: 'Famix-Tests-Extensions';
			package: 'MondrianGraphVizLayout' with: [
				spec repository: 'http://www.squeaksource.com/Mondrian'.
				spec requires: 'Mondrian for Moose'];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Merlin' 'Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-Development-Tools';
			package: 'Moose-Tests-SmalltalkImporter-Core';
			package: 'Moose-TestResources-Reference-Core';
			package: 'Moose-TestResources-Reference-PackageOne';
			package: 'Moose-TestResources-Reference-PackageTwo';
			package: 'Moose-Tests-SmalltalkImporter-LAN';
			package: 'Moose-TestResources-LAN';
			package: 'Moose-Tests-SmalltalkImporter-KGB';
			package: 'Moose-TestResources-KGB-P4FullInteracted';
			package: 'Moose-TestResources-KGB-P6InteractedReferee';
			package: 'Moose-TestResources-KGB-P5FullReferee';
			package: 'Moose-TestResources-KGB-P1FullReferencer';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee';
			package: 'Moose-TestResources-KGB-P8FullReferencer';
			package: 'Moose-TestResources-KGB-P9FullReferencer';
			package: 'Moose-TestResources-KGB-P10InteractedReferee';
			package: 'Moose-TestResources-KGB-P11FullReferee';
			package: 'Moose-TestResources-KGB-P12FullReferencer';
			package: 'Moose-TestResources-KGB-P13FullReferencer';
			package: 'Moose-TestResources-KGB-P14FullReferee';
			package: 'Moose-TestResources-KGB-PExtensions';
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4';
			package: 'Moose-Tests-MonticelloImporter'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose'
				'Merlin');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				'MondrianGraphVizLayout'
				"Moose testing"
				'Moose-Tests-Core'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Famix-Tests-Extensions'
				'Moose-Tests-SmalltalkImporter-Core'
				'Moose-TestResources-Reference-Core'
				'Moose-TestResources-Reference-PackageOne'
				'Moose-TestResources-Reference-PackageTwo'
				'Moose-Tests-SmalltalkImporter-LAN'
				'Moose-TestResources-LAN'
				'Moose-Tests-SmalltalkImporter-KGB'
				'Moose-TestResources-KGB-P4FullInteracted'
				'Moose-TestResources-KGB-P6InteractedReferee'
				'Moose-TestResources-KGB-P5FullReferee'
				'Moose-TestResources-KGB-P1FullReferencer'
				'Moose-TestResources-KGB-P2InteractedReferencerReferee'
				'Moose-TestResources-KGB-P3InteractedReferencer'
				'Moose-TestResources-KGB-P7ReferencerReferee'
				'Moose-TestResources-KGB-P8FullReferencer'
				'Moose-TestResources-KGB-P9FullReferencer'
				'Moose-TestResources-KGB-P10InteractedReferee'
				'Moose-TestResources-KGB-P11FullReferee'
				'Moose-TestResources-KGB-P12FullReferencer'
				'Moose-TestResources-KGB-P13FullReferencer'
				'Moose-TestResources-KGB-P14FullReferee'
				'Moose-TestResources-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4'
				'Moose-Tests-MonticelloImporter'
				'Arki-Tests-Reporter'
				'PetitMSE'
				'PetitManifestMf'
				'PetitJava').
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: 'default';
					repository: 'http://source.lukas-renggli.ch/petit' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
"		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					file: 'ConfigurationOfXMLSupport';
					version: '1.1.6';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
"		spec project: 'Merlin' with: [
				spec
					className: 'ConfigurationOfMerlin';
					version: 'default';
					file:  'ConfigurationOfMerlin';
					repository: 'http://www.squeaksource.com/Merlin' ].
				
		spec project: 'RPackage' with: [
				spec
					className: 'ConfigurationOfRPackage';
					version: 'default';
					file:  'ConfigurationOfRPackage';
					repository: 'http://www.squeaksource.com/PharoTaskForces' ].

	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'AlexandreBergel 2/19/2011 17:20'!
baseline434: spec
	<version: '4.3.4-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'Many bug fixed, cf Doru s email "configuration of moose is broken"'.
		spec repository: 'http://www.squeaksource.com/Moose'.
		spec 
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ];
			project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					versionString: 'default';
					repository: 'http://source.lukas-renggli.ch/petit' ];
			project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/dsm' ];
			project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ];
			project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ];
			project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ];
			project: 'Merlin' with: [
				spec
					className: 'ConfigurationOfMerlin';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/Merlin' ];
			project: 'RPackage' with: [
				spec
					className: 'ConfigurationOfRPackage';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/PharoTaskForces' ];
			project: 'Fame' with: [
				spec
					className: 'ConfigurationOfFame';
					versionString: 'default';
					repository: 'http://www.squeaksource.com/Fame' ].
		spec 
			package: 'AST-Core' with: [
				spec repository: 'http://www.squeaksource.com/rb'. ];
			package: 'Refactoring-Core' with: [
				spec repository: 'http://www.squeaksource.com/rb'. ];
			package: 'Refactoring-Changes' with: [
				spec repository: 'http://www.squeaksource.com/rb'. ];
			package: 'Refactoring-Critics' with: [
				spec repository: 'http://www.squeaksource.com/rb'. ];
			package: 'Refactoring-Environment' with: [
				spec repository: 'http://www.squeaksource.com/rb'. ];
			package: 'Refactoring-Spelling' with: [
				spec repository: 'http://www.squeaksource.com/rb'. ];
			package: 'Filesystem' with: [
				spec repository: 'http://source.lukas-renggli.ch/fs'. ];
			package: 'Nile-Base' with: [
				spec repository: 'http://www.squeaksource.com/Nile'. ];
			package: 'Hashtable' with: [
				spec repository: 'http://www.squeaksource.com/ht'. ];
			package: 'OSProcess' with: [
				spec repository: 'http://www.squeaksource.com/OSProcess'. ];
			package: 'CollectionExtensions' with: [
				spec repository: 'http://www.squeaksource.com/CollectionExtensions'. ];
			package: 'Moose-Core' with: [
				spec requires: #('Fame' ). ];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [
				spec requires: #('Moose-Core' ). ];
			package: 'Famix-Implementation' with: [
				spec requires: #('Famix-Core' ). ];
			package: 'Famix-Smalltalk' with: [
				spec 
					requires: #('Famix-Core' );
					file: 'Famix-Smalltalk-'. ];
			package: 'Famix-Java' with: [
				spec requires: #('Famix-Core' ). ];
			package: 'Famix-C' with: [
				spec requires: #('Famix-Core' ). ];
			package: 'Famix-Extensions' with: [
				spec requires: #('Famix-Core' ). ];
			package: 'Famix-File' with: [
				spec requires: #('Famix-Core' 'Filesystem' ). ];
			package: 'PetitManifestMf' with: [
				spec repository: 'http://source.lukas-renggli.ch/petit'. ];
			package: 'PetitMSE' with: [
				spec repository: 'http://source.lukas-renggli.ch/petit'. ];
			package: 'PetitJava' with: [
				spec repository: 'http://www.squeaksource.com/PetitJava'. ];
			package: 'Famix-ManifestMf' with: [
				spec requires: #('Famix-Core' 'PetitManifestMf' ). ];
			package: 'Moose-Hismo' with: [
				spec requires: #('Moose-Core' ). ];
			package: 'Famix-SourceAnchor' with: [
				spec requires: #('Famix-Core' ). ];
			package: 'Moose-GenericImporter' with: [
				spec requires: #('Moose-Core' ). ];
			package: 'Moose-SmalltalkImporter' with: [
				spec requires: #('RPackage' 'Moose-GenericImporter' ). ];
			package: 'Moose-MonticelloImporter' with: [
				spec requires: #('Moose-SmalltalkImporter' ). ];
			package: 'Moose-Finder' with: [
				spec requires: #('Glamour for Moose' 'Famix-Extensions' ). ];
			package: 'Moose-Wizard' with: [
				spec requires: #('Merlin' 'Moose-Finder' 'OSProcess' ). ];
			package: 'Arki-Reporter-Core' with: [
				spec repository: 'http://www.squeaksource.com/Arki'. ];
			package: 'Arki-Reporter-Browser' with: [
				spec 
					requires: #('Arki-Reporter-Core' 'Glamour for Moose' 'Moose-Finder' );
					repository: 'http://www.squeaksource.com/Arki'. ];
			package: 'Arki-Tests-Reporter' with: [
				spec 
					requires: #('Arki-Reporter-Core' );
					repository: 'http://www.squeaksource.com/Arki'. ];
			package: 'Moose-Tests-Core' with: [
				spec requires: #('Moose-Core' ). ];
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Famix-Tests-C';
			package: 'Famix-Tests-Extensions';
			package: 'MondrianGraphVizLayout' with: [
				spec 
					requires: #('Mondrian for Moose' );
					repository: 'http://www.squeaksource.com/Mondrian'. ];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose' 'Moose-Hismo' 'Famix-Extensions' ). ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Merlin' 'Mondrian for Moose' 'MooseAlgos for Moose' ). ];
			package: 'Moose-Development-Tools';
			package: 'Moose-Tests-SmalltalkImporter-Core' with: [
				spec requires: #('Moose-Tests-Core' ). ];
			package: 'Moose-TestResources-Reference-Core';
			package: 'Moose-TestResources-Reference-PackageOne';
			package: 'Moose-TestResources-Reference-PackageTwo' with: [
				spec requires: #('Moose-Tests-SmalltalkImporter-Core' ). ];
			package: 'Moose-Tests-SmalltalkImporter-LAN' with: [
				spec requires: #('Moose-Tests-Core' ). ];
			package: 'Moose-TestResources-LAN';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with: [
				spec requires: #('Moose-Tests-Core' ). ];
			package: 'Moose-TestResources-KGB-P4FullInteracted';
			package: 'Moose-TestResources-KGB-P6InteractedReferee';
			package: 'Moose-TestResources-KGB-P5FullReferee' with: [
				spec requires: #('Moose-TestResources-KGB-P6InteractedReferee' ). ];
			package: 'Moose-TestResources-KGB-P1FullReferencer';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with: [
				spec requires: #('Moose-TestResources-KGB-P5FullReferee' ). ];
			package: 'Moose-TestResources-KGB-P3InteractedReferencer';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with: [
				spec requires: #('Moose-TestResources-KGB-P7ReferencerReferee' ). ];
			package: 'Moose-TestResources-KGB-P9FullReferencer';
			package: 'Moose-TestResources-KGB-P10InteractedReferee';
			package: 'Moose-TestResources-KGB-P11FullReferee';
			package: 'Moose-TestResources-KGB-P12FullReferencer';
			package: 'Moose-TestResources-KGB-P13FullReferencer';
			package: 'Moose-TestResources-KGB-P14FullReferee';
			package: 'Moose-TestResources-KGB-PExtensions' with: [
				spec requires: #('Moose-TestResources-KGB-P12FullReferencer' 'Moose-TestResources-KGB-P11FullReferee' ). ];
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4';
			package: 'Moose-Tests-MonticelloImporter'.
		spec 
			group: 'Core' with: #('Moose-Core' 'Famix-Core' 'Famix-Implementation' 'Famix-Smalltalk' 'Famix-Java' 'Famix-Extensions' 'Famix-File' 'Moose-Hismo' 'Famix-SourceAnchor' 'Moose-GenericImporter' 'Moose-SmalltalkImporter' 'Moose-MonticelloImporter' 'Mondrian for Moose' 'MooseAlgos for Moose' 'Glamour for Moose' 'Merlin' 'Fame' );
			group: 'UI' with: #('Moose-Finder' );
			group: 'Tests' with: #('Hashtable' 'CollectionExtensions' 'MondrianGraphVizLayout' 'Moose-Tests-Core' 'Famix-Tests-Core' 'Famix-Tests-Java' 'Famix-Tests-Extensions' 'Moose-Tests-SmalltalkImporter-Core' 'Moose-TestResources-Reference-Core' 'Moose-TestResources-Reference-PackageOne' 'Moose-TestResources-Reference-PackageTwo' 'Moose-Tests-SmalltalkImporter-LAN' 'Moose-TestResources-LAN' 'Moose-Tests-SmalltalkImporter-KGB' 'Moose-TestResources-KGB-P4FullInteracted' 'Moose-TestResources-KGB-P6InteractedReferee' 'Moose-TestResources-KGB-P5FullReferee' 'Moose-TestResources-KGB-P1FullReferencer' 'Moose-TestResources-KGB-P2InteractedReferencerReferee' 'Moose-TestResources-KGB-P3InteractedReferencer' 'Moose-TestResources-KGB-P7ReferencerReferee' 'Moose-TestResources-KGB-P8FullReferencer' 'Moose-TestResources-KGB-P9FullReferencer' 'Moose-TestResources-KGB-P10InteractedReferee' 'Moose-TestResources-KGB-P11FullReferee' 'Moose-TestResources-KGB-P12FullReferencer' 'Moose-TestResources-KGB-P13FullReferencer' 'Moose-TestResources-KGB-P14FullReferee' 'Moose-TestResources-KGB-PExtensions' 'Moose-TestResources-PackageBlueprint-P1' 'Moose-TestResources-PackageBlueprint-P2' 'Moose-TestResources-PackageBlueprint-P3' 'Moose-TestResources-PackageBlueprint-P4' 'Moose-Tests-MonticelloImporter' 'Arki-Tests-Reporter' 'PetitMSE' 'PetitManifestMf' 'PetitJava' ). ].
! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'AlexandreBergel 2/19/2011 10:12'!
baseline43: spec 
	<version: '4.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'AST-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Changes' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Critics' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Environment' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Spelling' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Filesystem' with: [
				spec repository: 'http://source.lukas-renggli.ch/fs'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample')];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].

		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-C' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'PetitManifestMf' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitMSE' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitJava' with: [ 
				spec requires: #('PetitParser for Moose').
				spec repository: 'http://www.squeaksource.com/PetitJava' ];
			package: 'Famix-ManifestMf' with: [ spec requires: #('Famix-Core' 'PetitManifestMf') ];
			package: 'Moose-Hismo';
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter' with: [ spec requires: #('RPackage') ];
			package: 'Moose-MonticelloImporter' with: [ spec requires: #('Moose-SmalltalkImporter') ];
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin' 'Moose-Finder' 'OSProcess') ];
			package: 'Arki-Reporter-Core' with: [ spec repository: 'http://www.squeaksource.com/Arki' ];
			package: 'Arki-Reporter-Browser' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core' 'Glamour for Moose' 'Moose-Finder') ];
			package: 'Arki-Tests-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core') ];
			package: 'Moose-Tests-Core';
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Famix-Tests-C';
			package: 'Famix-Tests-Extensions';
			package: 'MondrianGraphVizLayout' with: [
				spec repository: 'http://www.squeaksource.com/Mondrian'.
				spec requires: 'Mondrian for Moose'];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Merlin' 'Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-Development-Tools';
			package: 'Moose-Tests-SmalltalkImporter-Core';
			package: 'Moose-TestResources-Reference-Core';
			package: 'Moose-TestResources-Reference-PackageOne';
			package: 'Moose-TestResources-Reference-PackageTwo';
			package: 'Moose-Tests-SmalltalkImporter-LAN';
			package: 'Moose-TestResources-LAN';
			package: 'Moose-Tests-SmalltalkImporter-KGB';
			package: 'Moose-TestResources-KGB-P4FullInteracted';
			package: 'Moose-TestResources-KGB-P6InteractedReferee';
			package: 'Moose-TestResources-KGB-P5FullReferee';
			package: 'Moose-TestResources-KGB-P1FullReferencer';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee';
			package: 'Moose-TestResources-KGB-P8FullReferencer';
			package: 'Moose-TestResources-KGB-P9FullReferencer';
			package: 'Moose-TestResources-KGB-P10InteractedReferee';
			package: 'Moose-TestResources-KGB-P11FullReferee';
			package: 'Moose-TestResources-KGB-P12FullReferencer';
			package: 'Moose-TestResources-KGB-P13FullReferencer';
			package: 'Moose-TestResources-KGB-P14FullReferee';
			package: 'Moose-TestResources-KGB-PExtensions';
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4';
			package: 'Moose-Tests-MonticelloImporter'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'DSM for Moose'
				'SmallDude for Moose'
				'Merlin');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Fame'
				'Hashtable'
				'CollectionExtensions'
				'MondrianGraphVizLayout'
				"Moose testing"
				'Moose-Tests-Core'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Famix-Tests-Extensions'
				'Moose-Tests-SmalltalkImporter-Core'
				'Moose-TestResources-Reference-Core'
				'Moose-TestResources-Reference-PackageOne'
				'Moose-TestResources-Reference-PackageTwo'
				'Moose-Tests-SmalltalkImporter-LAN'
				'Moose-TestResources-LAN'
				'Moose-Tests-SmalltalkImporter-KGB'
				'Moose-TestResources-KGB-P4FullInteracted'
				'Moose-TestResources-KGB-P6InteractedReferee'
				'Moose-TestResources-KGB-P5FullReferee'
				'Moose-TestResources-KGB-P1FullReferencer'
				'Moose-TestResources-KGB-P2InteractedReferencerReferee'
				'Moose-TestResources-KGB-P3InteractedReferencer'
				'Moose-TestResources-KGB-P7ReferencerReferee'
				'Moose-TestResources-KGB-P8FullReferencer'
				'Moose-TestResources-KGB-P9FullReferencer'
				'Moose-TestResources-KGB-P10InteractedReferee'
				'Moose-TestResources-KGB-P11FullReferee'
				'Moose-TestResources-KGB-P12FullReferencer'
				'Moose-TestResources-KGB-P13FullReferencer'
				'Moose-TestResources-KGB-P14FullReferee'
				'Moose-TestResources-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4'
				'Moose-Tests-MonticelloImporter'
				'Arki-Tests-Reporter'
				'PetitMSE'
				'PetitManifestMf'
				'PetitJava').
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: 'default';
					repository: 'http://source.lukas-renggli.ch/petit' ].
		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
"		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					file: 'ConfigurationOfXMLSupport';
					version: '1.1.6';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
"		spec project: 'Merlin' with: [
				spec
					className: 'ConfigurationOfMerlin';
					version: 'default';
					file:  'ConfigurationOfMerlin';
					repository: 'http://www.squeaksource.com/Merlin' ].
				
		spec project: 'RPackage' with: [
				spec
					className: 'ConfigurationOfRPackage';
					version: 'default';
					file:  'ConfigurationOfRPackage';
					repository: 'http://www.squeaksource.com/PharoTaskForces' ].

	]! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'TudorGirba 2/20/2011 00:22'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'AST-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Changes' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Critics' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Environment' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Spelling' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Filesystem' with: [
				spec repository: 'http://source.lukas-renggli.ch/fs'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'OSProcess' with: [spec repository: 'http://www.squeaksource.com/OSProcess'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].

		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: 'Fame'];
			package: 'Famix-Specifications';
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation' with: [spec requires: 'Famix-Core'];
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-C' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'PetitManifestMf' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitMSE' with: [ spec repository: 'http://source.lukas-renggli.ch/petit' ];
			package: 'PetitJava' with: [ spec repository: 'http://www.squeaksource.com/PetitJava' ];
			package: 'Famix-ManifestMf' with: [ spec requires: #('Famix-Core' 'PetitManifestMf') ];
			package: 'Moose-Hismo' with: [spec requires: 'Moose-Core'];
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter' with: [spec requires: 'Moose-Core'];
			package: 'Moose-SmalltalkImporter' with: [ spec requires: #('RPackage' 'Moose-GenericImporter') ];
			package: 'Moose-MonticelloImporter' with: [ spec requires: #('Moose-SmalltalkImporter') ];
			package: 'Moose-Finder' with: [ spec requires: #('Glamour for Moose' 'Famix-Extensions') ];
			package: 'Moose-Wizard' with: [spec requires: #('Merlin' 'Moose-Finder' 'OSProcess') ];
			package: 'Arki-Reporter-Core' with: [ spec repository: 'http://www.squeaksource.com/Arki' ];
			package: 'Arki-Reporter-Browser' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core' 'Glamour for Moose' 'Moose-Finder') ];
			package: 'Arki-Tests-Reporter' with: [
				spec repository: 'http://www.squeaksource.com/Arki'.
				spec requires: #('Arki-Reporter-Core') ];
			package: 'Moose-Tests-Core' with: [spec requires: 'Moose-Core'];
			package: 'Famix-Tests-Core';
			package: 'Famix-Tests-Java';
			package: 'Famix-Tests-C';
			package: 'Famix-Tests-Extensions';
			package: 'MondrianGraphVizLayout' with: [
				spec repository: 'http://www.squeaksource.com/Mondrian'.
				spec requires: 'Mondrian for Moose'];
			package: 'Moose-MondrianPaintings' with: [
				spec requires: #('Mondrian for Moose' 'MooseAlgos for Moose' 'Moose-Hismo' 'Famix-Extensions') ];
			package: 'Moose-DistributionMap' with: [
				spec requires: #('Merlin' 'Mondrian for Moose' 'MooseAlgos for Moose') ];
			package: 'Moose-Development-Tools';
			package: 'Moose-Tests-SmalltalkImporter-Core' with: [spec requires: 'Moose-Tests-Core'];
			package: 'Moose-TestResources-Reference-Core';
			package: 'Moose-TestResources-Reference-PackageOne';
			package: 'Moose-TestResources-Reference-PackageTwo' with: [spec requires: 'Moose-Tests-SmalltalkImporter-Core'];
			package: 'Moose-Tests-SmalltalkImporter-LAN' with: [spec requires: 'Moose-Tests-Core'];
			package: 'Moose-TestResources-LAN';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with: [spec requires: 'Moose-Tests-Core'];
			package: 'Moose-TestResources-KGB-P4FullInteracted';
			package: 'Moose-TestResources-KGB-P6InteractedReferee';
			package: 'Moose-TestResources-KGB-P5FullReferee' with: [spec requires: 'Moose-TestResources-KGB-P6InteractedReferee'];
			package: 'Moose-TestResources-KGB-P1FullReferencer';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with: [spec requires: 'Moose-TestResources-KGB-P5FullReferee'];
			package: 'Moose-TestResources-KGB-P3InteractedReferencer';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with: [spec requires: 'Moose-TestResources-KGB-P7ReferencerReferee'];
			package: 'Moose-TestResources-KGB-P9FullReferencer';
			package: 'Moose-TestResources-KGB-P10InteractedReferee';
			package: 'Moose-TestResources-KGB-P11FullReferee';
			package: 'Moose-TestResources-KGB-P12FullReferencer';
			package: 'Moose-TestResources-KGB-P13FullReferencer';
			package: 'Moose-TestResources-KGB-P14FullReferee';
			package: 'Moose-TestResources-KGB-PExtensions' with: [spec requires: #('Moose-TestResources-KGB-P12FullReferencer' 'Moose-TestResources-KGB-P11FullReferee')];
			package: 'Moose-TestResources-PackageBlueprint-P1';
			package: 'Moose-TestResources-PackageBlueprint-P2';
			package: 'Moose-TestResources-PackageBlueprint-P3';
			package: 'Moose-TestResources-PackageBlueprint-P4';
			package: 'Moose-Tests-MonticelloImporter'.
		spec
			group: 'Core' with: #(
				'Moose-Core'
				'Famix-Core'
				'Famix-Implementation'
				'Famix-Smalltalk'
				'Famix-Java'
				'Famix-Extensions'
				'Famix-File'
				'Moose-Hismo'
				'Famix-SourceAnchor'
				'Moose-GenericImporter'
				'Moose-SmalltalkImporter'
				'Moose-MonticelloImporter'
				'Mondrian for Moose'
				'MooseAlgos for Moose'
				'Glamour for Moose'
				'Merlin'
				'Fame');
			group: 'UI' with: #( 'Moose-Finder' ); 
			group: 'Tests' with: #(
				"Libraries testing"
				'Hashtable'
				'CollectionExtensions'
				'MondrianGraphVizLayout'
				"Moose testing"
				'Moose-Tests-Core'
				'Famix-Tests-Core'
				'Famix-Tests-Java'
				'Famix-Tests-Extensions'
				'Moose-Tests-SmalltalkImporter-Core'
				'Moose-TestResources-Reference-Core'
				'Moose-TestResources-Reference-PackageOne'
				'Moose-TestResources-Reference-PackageTwo'
				'Moose-Tests-SmalltalkImporter-LAN'
				'Moose-TestResources-LAN'
				'Moose-Tests-SmalltalkImporter-KGB'
				'Moose-TestResources-KGB-P4FullInteracted'
				'Moose-TestResources-KGB-P6InteractedReferee'
				'Moose-TestResources-KGB-P5FullReferee'
				'Moose-TestResources-KGB-P1FullReferencer'
				'Moose-TestResources-KGB-P2InteractedReferencerReferee'
				'Moose-TestResources-KGB-P3InteractedReferencer'
				'Moose-TestResources-KGB-P7ReferencerReferee'
				'Moose-TestResources-KGB-P8FullReferencer'
				'Moose-TestResources-KGB-P9FullReferencer'
				'Moose-TestResources-KGB-P10InteractedReferee'
				'Moose-TestResources-KGB-P11FullReferee'
				'Moose-TestResources-KGB-P12FullReferencer'
				'Moose-TestResources-KGB-P13FullReferencer'
				'Moose-TestResources-KGB-P14FullReferee'
				'Moose-TestResources-KGB-PExtensions'
				'Moose-TestResources-PackageBlueprint-P1'
				'Moose-TestResources-PackageBlueprint-P2'
				'Moose-TestResources-PackageBlueprint-P3'
				'Moose-TestResources-PackageBlueprint-P4'
				'Moose-Tests-MonticelloImporter'
				'Arki-Tests-Reporter'
				'PetitMSE'
				'PetitManifestMf'
				'PetitJava').
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'PetitParser for Moose' with: [
				spec
					className: 'ConfigurationOfPetitParser';
					file: 'ConfigurationOfPetitParser';
					version: 'default';
					repository: 'http://source.lukas-renggli.ch/petit' ].
"		spec project: 'DSM for Moose' with: [
				spec
					className: 'ConfigurationOfDSM';
					file: 'ConfigurationOfDSM';
					version: 'default';
					repository: 'http://www.squeaksource.com/dsm' ].
"		spec project: 'Glamour for Moose' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
		spec project: 'Mondrian for Moose' with: [
				spec
					className: 'ConfigurationOfMondrian';
					file: 'ConfigurationOfMondrian';
					version: 'default';
					repository: 'http://www.squeaksource.com/Mondrian' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
"		spec project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					file: 'ConfigurationOfXMLSupport';
					version: '1.1.6';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
"		spec project: 'Merlin' with: [
				spec
					className: 'ConfigurationOfMerlin';
					version: 'default';
					file:  'ConfigurationOfMerlin';
					repository: 'http://www.squeaksource.com/Merlin' ].
				
		spec project: 'RPackage' with: [
				spec
					className: 'ConfigurationOfRPackage';
					version: 'default';
					file:  'ConfigurationOfRPackage';
					repository: 'http://www.squeaksource.com/PharoTaskForces' ].
		spec project: 'Fame' with: [
				spec
					className: 'ConfigurationOfFame';
					version: 'default';
					file:  'ConfigurationOfFame';
					repository: 'http://www.squeaksource.com/Fame' ].
	]! !

!ConfigurationOfMoose methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 2/19/2011 17:36'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfMoose methodsFor: 'baselines' stamp: 'cyrilledelaunay 2/15/2011 16:53'!
minimal: spec 
	<version: 'minimal'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Moose'.
		"External requirements"
		spec 
			package: 'AST-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Core' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Changes' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Critics' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Environment' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Refactoring-Spelling' with: [spec repository: 'http://www.squeaksource.com/rb'];
			package: 'Filesystem' with: [
				spec repository: 'http://source.wiresong.ca/mc'];
			package: 'Nile-Base' with: [spec repository: 'http://www.squeaksource.com/Nile'];
			package: 'Phexample' with: [spec repository: 'http://www.squeaksource.com/phexample'];
			package: 'Fame' with: [
				spec repository: 'http://www.squeaksource.com/Fame'.
				spec requires: #('Phexample').
				];
			package: 'Hashtable' with: [spec repository: 'http://www.squeaksource.com/ht'];
			package: 'CollectionExtensions' with: [spec repository: 'http://www.squeaksource.com/CollectionExtensions'].
		"Moose packages"
		spec
			package: 'Moose-Core' with: [spec requires: #('Fame')];
			package: 'Famix-Core' with: [ spec requires: #('Moose-Core') ];
			package: 'Famix-Implementation';
			package: 'Famix-Smalltalk' with: [spec file: 'Famix-Smalltalk-'. spec requires: 'Famix-Core'];
			package: 'Famix-Java' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-Extensions' with: [ spec requires: #('Famix-Core') ];
			package: 'Famix-File' with: [ spec requires: #('Famix-Core' 'Filesystem') ];
			package: 'Famix-SourceAnchor' with: [ spec requires: #('Famix-Core') ];
			package: 'Moose-GenericImporter';
			package: 'Moose-SmalltalkImporter';
			package: 'Arki-Reporter-Core' with: [ spec repository: 'http://www.squeaksource.com/Arki' ];
			package: 'Moose-Tests-Core'.
		spec
			project: 'MooseAlgos for Moose' with: [
				spec
					className: 'ConfigurationOfMooseAlgos';
					file: 'ConfigurationOfMooseAlgos';
					version: 'default';
					repository: 'http://www.squeaksource.com/MooseAlgos' ].
		spec project: 'SmallDude for Moose' with: [
				spec
					className: 'ConfigurationOfSmallDude';
					file: 'ConfigurationOfSmallDude';
					version: 'default';
					repository: 'http://www.squeaksource.com/SmallDude' ].
		spec project: 'RPackage' with: [
				spec
					className: 'ConfigurationOfRPackage';
					version: 'default';
					file:  'ConfigurationOfRPackage';
					repository: 'http://www.squeaksource.com/PharoTaskForces' ].
	]! !

!ConfigurationOfMoose methodsFor: 'accessing' stamp: 'tg 10/19/2009 22:11'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfMoose methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 2/19/2011 17:36'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '4.3.4'.
! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'simon.denier 6/2/2010 13:33'!
version40: spec
	<version: '4.0' imports: #('4.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'jl'.
		spec timestamp: '06/02/2010 13:00'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.8';
			project: 'DSM for Moose' with: '2.0-beta.5';
			project: 'Glamour for Moose' with: '2.0-beta.6';
			project: 'Mondrian for Moose' with: '2.0-beta.7';
			project: 'SmallDude for Moose' with: '2.0-beta.6'.
		spec 
			package: 'Filesystem' with: 'Filesystem-lr.66';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.50';
			package: 'Fame' with: 'Fame-cyrille_delaunay.159';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-jannik_laval.57';
			package: 'OSProcess' with: 'OSProcess-dtl.53';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.20';
			package: 'Moose-Core' with: 'Moose-Core-cyrille_delaunay.253';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-jl.112';
			package: 'Famix-Implementation' with: 'Famix-Implementation-tg.63';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-cyrille_delaunay.38';
			package: 'Famix-Java' with: 'Famix-Java-cyrille_delaunay.17';
			package: 'Famix-Extensions' with: 'Famix-Extensions-tg.123';
			package: 'Famix-File' with: 'Famix-File-simondenier.31';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.31';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-tg.22';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-cyrille_delaunay.34';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-simondenier.89';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-Alexandre_Bergel.11';
			package: 'Moose-Finder' with: 'Moose-Finder-simon_denier.207';
			package: 'Moose-Wizard' with: 'Moose-Wizard-cyrille_delaunay.53';
			package: 'Arki-Reporter' with:'Arki-Reporter-tg.3';
			package: 'Arki-Tests-Reporter' with:'Arki-Tests-Reporter-tg.2';
			package: 'Moose-LAN' with: 'Moose-LAN-tg.10';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-tg.ducasse.17';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-jannik_laval.ducasse.4';
			package: 'Famix-LANTests' with: 'Famix-LANTests-tg.29';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.67';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-tg.5';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-tg.3';
			package: 'MondrianGraphVizLayout' with: 'MondrianGraphVizLayout-tg.9';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-tg.93';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-tg.71';
			package: 'Moose-DistributionMap' with:'Moose-DistributionMap-cyrille_delaunay.5';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-tg.13';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-cyrille_delaunay.19';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with: 'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with: 'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with: 'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with: 'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3'.].! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'tg 12/3/2009 17:18'!
version40beta2: spec
	<version: '4.0-beta.2' imports: #('4.0-beta.2-baseline')>

	spec for: #common do: [
		spec blessing: #beta.
		spec author: 'tg'.
		spec timestamp: '11/22/2009 11:26'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.1';
			project: 'DSM for Moose' with: '2.0-beta.1';
			project: 'Glamour for Moose' with: '2.0-beta.1';
			project: 'Mondrian for Moose' with: '2.0-beta.1';
			project: 'SmallDude for Moose' with: '2.0-beta.1'.
		spec 
			package: 'Nile-Base' with: 'Nile-Base-StephaneDucasse.77';
			package: 'Phexample' with: 'Phexample-AdrianKuhn.32';
			package: 'Fame' with: 'Fame-simon_denier.136';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.10';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'Moose-Core' with: 'Moose-Core-simon_denier.180';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-simondenier.98';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simon_denier.53';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-TestRunner.33';
			package: 'Famix-Java' with: 'Famix-Java-simon_denier.7';
			package: 'Famix-Extensions' with: 'Famix-Extensions-simon_denier.69';
			package: 'Famix-File' with: 'Famix-File-simon_denier.19';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.26';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-simon_denier.13';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-cyrille_delaunay.30';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-jannik_laval.73';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-simon_denier.10';
			package: 'Moose-Finder' with: 'Moose-Finder-tg.113';
			package: 'Moose-Wizard' with: 'Moose-Wizard-cyrille_delaunay.6';
			package: 'Moose-LAN' with: 'Moose-LAN-jannik_laval.8';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-stephane_ducasse.ducasse.15';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-simon_denier.ducasse.3';
			package: 'Famix-LANTests' with: 'Famix-LANTests-tg.27';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.43';
			package: 'Famix-Test' with: 'Famix-Test-tg.6';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-tg.54';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-simon_denier.1';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-tg.8';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-tg.14';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-PackageBlueprint' with: 'Moose-PackageBlueprint-simon_denier.8';
			package: 'Moose-Tests-PackageBlueprint' with: 'Moose-Tests-PackageBlueprint-simon_denier.8';
			package: 'Moose-PB-P1Hierarchy' with: 'Moose-PB-P1Hierarchy-Sd.1';
			package: 'Moose-PB-P1Referencer' with: 'Moose-PB-P1Referencer-Sd.2';
			package: 'Moose-PB-P2Hierarchy' with: 'Moose-PB-P2Hierarchy-Sd.1';
			package: 'Moose-PB-P2Referee' with: 'Moose-PB-P2Referee-Sd.2';
			package: 'Moose-PB-P3MiddleMan' with: 'Moose-PB-P3MiddleMan-Sd.2';
			package: 'Moose-PB-P4SelfContained' with: 'Moose-PB-P4SelfContained-Sd.2'.].! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'tg 1/17/2010 00:23'!
version40beta3: spec
	<version: '4.0-beta.3' imports: #('4.0-beta.3-baseline')>

	spec for: #common do: [
		spec blessing: #beta.
		spec author: 'tg'.
		spec timestamp: '12/18/2009 19:15'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.1';
			project: 'DSM for Moose' with: '2.0-beta.1';
			project: 'Glamour for Moose' with: '2.0-beta.2';
			project: 'Mondrian for Moose' with: '2.0-beta.1';
			project: 'SmallDude for Moose' with: '2.0-beta.1'.
		spec 
			package: 'Filesystem' with: 'Filesystem-cwp.58';
			package: 'Nile-Base' with: 'Nile-Base-cyrille_delaunay.80';
			package: 'Phexample' with: 'Phexample-CamilloBruni.47';
			package: 'Fame' with: 'Fame-cyrille_delaunay.147';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.22';
			package: 'OSProcess' with: 'OSProcess-dtl.53';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'Moose-Core' with: 'Moose-Core-cyrille_delaunay.206';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-tg.103';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simon_denier.53';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-tg.34';
			package: 'Famix-Java' with: 'Famix-Java-tg.9';
			package: 'Famix-Extensions' with: 'Famix-Extensions-simondenier.83';
			package: 'Famix-File' with: 'Famix-File-simondenier.26';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.26';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-simondenier.16';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-cyrille_delaunay.33';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-cyrille_delaunay.79';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-simon_denier.10';
			package: 'Moose-Finder' with: 'Moose-Finder-cyrille_delaunay.130';
			package: 'Moose-Wizard' with: 'Moose-Wizard-cyrille_delaunay.22';
			package: 'Moose-LAN' with: 'Moose-LAN-simondenier.9';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-stephane_ducasse.ducasse.15';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-simon_denier.ducasse.3';
			package: 'Famix-LANTests' with: 'Famix-LANTests-tg.27';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.52';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-tg.2';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-tg.1';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-tg.58';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-simondenier.3';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-simondenier.9';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-simondenier.15';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-PackageBlueprint' with: 'Moose-PackageBlueprint-simondenier.9';
			package: 'Moose-Tests-PackageBlueprint' with: 'Moose-Tests-PackageBlueprint-simon_denier.8';
			package: 'Moose-PB-P1Hierarchy' with: 'Moose-PB-P1Hierarchy-Sd.1';
			package: 'Moose-PB-P1Referencer' with: 'Moose-PB-P1Referencer-Sd.2';
			package: 'Moose-PB-P2Hierarchy' with: 'Moose-PB-P2Hierarchy-Sd.1';
			package: 'Moose-PB-P2Referee' with: 'Moose-PB-P2Referee-Sd.2';
			package: 'Moose-PB-P3MiddleMan' with: 'Moose-PB-P3MiddleMan-Sd.2';
			package: 'Moose-PB-P4SelfContained' with: 'Moose-PB-P4SelfContained-Sd.2'.].! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'tg 12/28/2009 21:37'!
version40beta4: spec
	<version: '4.0-beta.4' imports: #('4.0-beta.3-baseline')>

	spec for: #common do: [
		spec blessing: #beta.
		spec author: 'tg'.
		spec timestamp: '12/28/2009 21:34'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.2';
			project: 'DSM for Moose' with: '2.0-beta.2';
			project: 'Glamour for Moose' with: '2.0-beta.3';
			project: 'Mondrian for Moose' with: '2.0-beta.3';
			project: 'SmallDude for Moose' with: '2.0-beta.2'.
		spec 
			package: 'Filesystem' with: 'Filesystem-cwp.59';
			package: 'Nile-Base' with: 'Nile-Base-cyrille_delaunay.80';
			package: 'Phexample' with: 'Phexample-AdrianKuhn.49';
			package: 'Fame' with: 'Fame-cyrille_delaunay.147';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.22';
			package: 'OSProcess' with: 'OSProcess-dtl.53';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'Moose-Core' with: 'Moose-Core-tg.207';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-tg.103';
			package: 'Famix-Implementation' with: 'Famix-Implementation-tg.54';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-tg.34';
			package: 'Famix-Java' with: 'Famix-Java-tg.9';
			package: 'Famix-Extensions' with: 'Famix-Extensions-simondenier.83';
			package: 'Famix-File' with: 'Famix-File-simondenier.26';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.26';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-simondenier.16';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-cyrille_delaunay.33';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-cyrille_delaunay.79';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-simon_denier.10';
			package: 'Moose-Finder' with: 'Moose-Finder-tg.132';
			package: 'Moose-Wizard' with: 'Moose-Wizard-cyrille_delaunay.22';
			package: 'Moose-LAN' with: 'Moose-LAN-simondenier.9';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-stephane_ducasse.ducasse.15';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-simon_denier.ducasse.3';
			package: 'Famix-LANTests' with: 'Famix-LANTests-tg.27';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.53';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-tg.2';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-tg.1';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-tg.58';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-simondenier.3';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-simondenier.9';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-simondenier.15';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-PackageBlueprint' with: 'Moose-PackageBlueprint-simondenier.9';
			package: 'Moose-Tests-PackageBlueprint' with: 'Moose-Tests-PackageBlueprint-simon_denier.8';
			package: 'Moose-PB-P1Hierarchy' with: 'Moose-PB-P1Hierarchy-Sd.1';
			package: 'Moose-PB-P1Referencer' with: 'Moose-PB-P1Referencer-Sd.2';
			package: 'Moose-PB-P2Hierarchy' with: 'Moose-PB-P2Hierarchy-Sd.1';
			package: 'Moose-PB-P2Referee' with: 'Moose-PB-P2Referee-Sd.2';
			package: 'Moose-PB-P3MiddleMan' with: 'Moose-PB-P3MiddleMan-Sd.2';
			package: 'Moose-PB-P4SelfContained' with: 'Moose-PB-P4SelfContained-Sd.2'.].! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'tg 2/16/2010 13:53'!
version40beta5: spec
	<version: '4.0-beta.5' imports: #('4.0-beta.5-baseline')>

	spec for: #common do: [
		spec blessing: #beta.
		spec author: 'tg'.
		spec timestamp: '2/16/2010 13:47'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.4';
			project: 'DSM for Moose' with: '2.0-beta.3';
			project: 'Glamour for Moose' with: '2.0-beta.4';
			project: 'Mondrian for Moose' with: '2.0-beta.5';
			project: 'SmallDude for Moose' with: '2.0-beta.3'.
		spec 
			package: 'Filesystem' with: 'Filesystem-lr.65';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Phexample' with: 'Phexample-AdrianKuhn.49';
			package: 'Fame' with: 'Fame-cyrille_delaunay.149';
			package: 'Hashtable' with: 'Hashtable-pmm.30';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.25';
			package: 'OSProcess' with: 'OSProcess-dtl.53';
			package: 'CollectionExtensions' with: 'CollectionExtensions-tg.18';
			package: 'Moose-Core' with: 'Moose-Core-cyrille_delaunay.223';
			package: 'Famix-Specifications' with: 'Famix-Specifications-simon_denier.4';
			package: 'Famix-Core' with: 'Famix-Core-simondenier.106';
			package: 'Famix-Implementation' with: 'Famix-Implementation-cyrille_delaunay.57';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-tg.34';
			package: 'Famix-Java' with: 'Famix-Java-simondenier.11';
			package: 'Famix-Extensions' with: 'Famix-Extensions-jannik_laval.97';
			package: 'Famix-File' with: 'Famix-File-tg.30';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.26';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-simondenier.16';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-cyrille_delaunay.33';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-simondenier.81';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-simon_denier.10';
			package: 'Moose-Finder' with: 'Moose-Finder-jl.166';
			package: 'Moose-Wizard' with: 'Moose-Wizard-simondenier.23';
			package: 'Moose-LAN' with: 'Moose-LAN-simondenier.9';
			package: 'Moose-ReferenceModel' with: 'Moose-ReferenceModel-stephane_ducasse.ducasse.15';
			package: 'Moose-Test-PackageOne' with: 'Moose-Test-PackageOne-stephane.ducasse.2';
			package: 'Moose-Test-PackageTwo' with: 'Moose-Test-PackageTwo-simon_denier.ducasse.3';
			package: 'Famix-LANTests' with: 'Famix-LANTests-simondenier.28';
			package: 'Moose-ModelTest' with: 'Moose-ModelTest-tg.55';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-tg.2';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-tg.1';
			package: 'Moose-MondrianScripts' with: 'Moose-MondrianScripts-tg.67';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-JeanRemyFalleri.8';
			package: 'Moose-SmalltalkImporterTests' with: 'Moose-SmalltalkImporterTests-simondenier.10';
			package: 'MooseKGB-TestFamix3' with: 'MooseKGB-TestFamix3-simondenier.18';
			package: 'Moose-KGB-P4FullInteracted' with: 'Moose-KGB-P4FullInteracted-jannik_laval.1';
			package: 'Moose-KGB-P6InteractedReferee' with: 'Moose-KGB-P6InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P5FullReferee' with: 'Moose-KGB-P5FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P1FullReferencer' with: 'Moose-KGB-P1FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P2InteractedReferencerReferee' with: 'Moose-KGB-P2InteractedReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P3InteractedReferencer' with: 'Moose-KGB-P3InteractedReferencer-jannik_laval.1';
			package: 'Moose-KGB-P7ReferencerReferee' with: 'Moose-KGB-P7ReferencerReferee-jannik_laval.1';
			package: 'Moose-KGB-P8FullReferencer' with: 'Moose-KGB-P8FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P9FullReferencer' with: 'Moose-KGB-P9FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P10InteractedReferee' with: 'Moose-KGB-P10InteractedReferee-jannik_laval.1';
			package: 'Moose-KGB-P11FullReferee' with: 'Moose-KGB-P11FullReferee-jannik_laval.1';
			package: 'Moose-KGB-P12FullReferencer' with: 'Moose-KGB-P12FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P13FullReferencer' with: 'Moose-KGB-P13FullReferencer-jannik_laval.1';
			package: 'Moose-KGB-P14FullReferee' with: 'Moose-KGB-P14FullReferee-jannik_laval.1';
			package: 'Moose-KGB-PExtensions' with: 'Moose-KGB-PExtensions-jannik_laval.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with: 'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with: 'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with: 'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with: 'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3'.].! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'AlexandreBergel 2/16/2011 17:55'!
version41: spec
	<version: '4.1' imports: #('4.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'jl'.
		spec timestamp: '09/13/2010 22:00'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0-beta.9';
			project: 'DSM for Moose' with: '2.0-beta.7';
			project: 'Glamour for Moose' with: '2.0-beta.7';
			project: 'Mondrian for Moose' with: '2.0-beta.8';
			project: 'SmallDude for Moose' with: '2.0-beta.7'.
		spec 
			package: 'Filesystem' with: 'Filesystem-lr.66';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.56';
			package: 'Fame' with: 'Fame-cyrille_delaunay.159';
			package: 'Hashtable' with: 'Hashtable-simon_denier.31';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.72';
			package: 'OSProcess' with: 'OSProcess-dtl.57';
			package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25';
			package: 'Moose-Core' with: 'Moose-Core-tg.280';
			package: 'Famix-Specifications' with: 'Famix-Specifications-tg.5';
			package: 'Famix-Core' with: 'Famix-Core-cyrille_delaunay.123';
			package: 'Famix-Implementation' with: 'Famix-Implementation-jannik_laval.70';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-tg.41';
			package: 'Famix-Java' with: 'Famix-Java-NicolasAnquetil.20';
			package: 'Famix-C' with: 'Famix-C-TudorGirba.3';
			package: 'Famix-Extensions' with: 'Famix-Extensions-jl.137';
			package: 'Famix-File' with: 'Famix-File-simondenier.31';
			package: 'PetitManifestMf' with: 'PetitManifestMf-tg.9';
			package: 'PetitMSE' with: 'PetitMSE-tg.10';
			package: 'PetitJava' with: 'PetitJava-sback.80';
			package: 'Famix-ManifestMf' with: 'Famix-ManifestMf-tg.5';
			package: 'Moose-Hismo' with: 'Moose-Hismo-tg.33';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-tg.22';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-cyrille_delaunay.34';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-jannik_laval.99';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-Alexandre_Bergel.11';
			package: 'Moose-Finder' with: 'Moose-Finder-jannik_laval.257';
			package: 'Moose-Wizard' with: 'Moose-Wizard-tg.56';
			package: 'Arki-Reporter' with:'Arki-Reporter-tg.30';
			package: 'Arki-Tests-Reporter' with:'Arki-Tests-Reporter-tg.8';
			package: 'Moose-Tests-Core' with:'Moose-Tests-Core-simon_denier.6';
			package: 'Famix-Tests-Core' with:'Famix-Tests-Core-tg.12';
			package: 'Famix-Tests-Java' with:'Famix-Tests-Java-tg.3';
			package: 'Famix-Tests-Extensions' with:'Famix-Tests-Extensions-tg.2';
			package: 'MondrianGraphVizLayout' with:'MondrianGraphVizLayout-simondenier.14';
			package: 'Moose-MondrianPaintings' with:'Moose-MondrianPaintings-cyrille_delaunay.121';
			package: 'Moose-DistributionMap' with:'Moose-DistributionMap-cyrille_delaunay.11';
			package: 'Moose-Development-Tools' with:'Moose-Development-Tools-cyrille_delaunay.2';
			package: 'Moose-Tests-SmalltalkImporter-Core' with:'Moose-Tests-SmalltalkImporter-Core-jl.8';
			package: 'Moose-TestResources-Reference-Core' with:'Moose-TestResources-Reference-Core-tg.1';
			package: 'Moose-TestResources-Reference-PackageOne' with:'Moose-TestResources-Reference-PackageOne-tg.1';
			package: 'Moose-TestResources-Reference-PackageTwo' with:'Moose-TestResources-Reference-PackageTwo-tg.2';
			package: 'Moose-Tests-SmalltalkImporter-LAN' with:'Moose-Tests-SmalltalkImporter-LAN-jl.3';
			package: 'Moose-TestResources-LAN' with:'Moose-TestResources-LAN-jl.2';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with:'Moose-Tests-SmalltalkImporter-KGB-tg.2';
			package: 'Moose-TestResources-KGB-P4FullInteracted' with:'Moose-TestResources-KGB-P4FullInteracted-tg.1';
			package: 'Moose-TestResources-KGB-P6InteractedReferee' with:'Moose-TestResources-KGB-P6InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P5FullReferee' with:'Moose-TestResources-KGB-P5FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P1FullReferencer' with:'Moose-TestResources-KGB-P1FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with:'Moose-TestResources-KGB-P2InteractedReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer' with:'Moose-TestResources-KGB-P3InteractedReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee' with:'Moose-TestResources-KGB-P7ReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with:'Moose-TestResources-KGB-P8FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P9FullReferencer' with:'Moose-TestResources-KGB-P9FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P10InteractedReferee' with:'Moose-TestResources-KGB-P10InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P11FullReferee' with:'Moose-TestResources-KGB-P11FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P12FullReferencer' with:'Moose-TestResources-KGB-P12FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P13FullReferencer' with:'Moose-TestResources-KGB-P13FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P14FullReferee' with:'Moose-TestResources-KGB-P14FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-PExtensions' with:'Moose-TestResources-KGB-PExtensions-tg.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with:'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with:'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with:'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with:'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3'.].! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'AlexandreBergel 12/6/2010 16:13'!
version42: spec
	<version: '4.2' imports: #('4.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Version for Pharo 1.1 and 1.1.1'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '12/6/2010 16:12'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.0.6';
			project: 'PetitParser for Moose' with: '1.0';
			project: 'Glamour for Moose' with: '2.0.6';
			project: 'Mondrian for Moose' with: '2.1.2';
			project: 'DSM for Moose' with: '2.0-beta.8';
			project: 'SmallDude for Moose' with: '2.0-beta.7';
			project: 'XMLSupport' with: '1.0.7';
			project: 'Shout' with: '1.2.2'.
		spec 
			package: 'Filesystem' with: 'Filesystem-tg.85';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.57';
			package: 'Fame' with: 'Fame-simon_denier.164';
			package: 'Hashtable' with: 'Hashtable-simon_denier.31';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.77';
			package: 'OSProcess' with: 'OSProcess-dtl.59';
			package: 'CollectionExtensions' with: 'CollectionExtensions-jannik_laval.25';
			package: 'Moose-Core' with: 'Moose-Core-TudorGirba.293';
			package: 'Famix-Specifications' with: 'Famix-Specifications-tg.5';
			package: 'Famix-Core' with: 'Famix-Core-tg.126';
			package: 'Famix-Implementation' with: 'Famix-Implementation-tg.72';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-tg.41';
			package: 'Famix-Java' with: 'Famix-Java-tg.21';
			package: 'Famix-C' with: 'Famix-C-tg.2';
			package: 'Famix-Extensions' with: 'Famix-Extensions-TudorGirba.149';
			package: 'Famix-File' with: 'Famix-File-simondenier.31';
			package: 'PetitManifestMf' with: 'PetitManifestMf-tg.9';
			package: 'PetitMSE' with: 'PetitMSE-tg.12';
			package: 'PetitJava' with: 'PetitJava-tg.81';
			package: 'Famix-ManifestMf' with: 'Famix-ManifestMf-tg.6';
			package: 'Moose-Hismo' with: 'Moose-Hismo-simon_denier.35';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-tg.23';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-tg.37';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-jannik_laval.99';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-jannik_laval.14';
			package: 'Moose-Finder' with: 'Moose-Finder-TudorGirba.280';
			package: 'Moose-Wizard' with: 'Moose-Wizard-tg.64';
			package: 'Arki-Reporter-Core' with: 'Arki-Reporter-Core-TudorGirba.8';
			package: 'Arki-Reporter-Browser' with: 'Arki-Reporter-Browser-TudorGirba.3';
			package: 'Arki-Tests-Reporter' with: 'Arki-Tests-Reporter-tg.8';
			package: 'Moose-Tests-Core' with: 'Moose-Tests-Core-tg.13';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-tg.13';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-tg.3';
			package: 'Famix-Tests-Extensions' with: 'Famix-Tests-Extensions-TudorGirba.4';
			package: 'MondrianGraphVizLayout' with: 'MondrianGraphVizLayout-simondenier.14';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-TudorGirba.137';
			package: 'Moose-DistributionMap' with: 'Moose-DistributionMap-cyrille_delaunay.14';
			package: 'Moose-Development-Tools' with: 'Moose-Development-Tools-cyrille_delaunay.2';
			package: 'Moose-Tests-SmalltalkImporter-Core' with: 'Moose-Tests-SmalltalkImporter-Core-TudorGirba.12';
			package: 'Moose-TestResources-Reference-Core' with: 'Moose-TestResources-Reference-Core-tg.1';
			package: 'Moose-TestResources-Reference-PackageOne' with: 'Moose-TestResources-Reference-PackageOne-tg.1';
			package: 'Moose-TestResources-Reference-PackageTwo' with: 'Moose-TestResources-Reference-PackageTwo-tg.2';
			package: 'Moose-Tests-SmalltalkImporter-LAN' with: 'Moose-Tests-SmalltalkImporter-LAN-jl.3';
			package: 'Moose-TestResources-LAN' with: 'Moose-TestResources-LAN-jl.2';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with: 'Moose-Tests-SmalltalkImporter-KGB-tg.2';
			package: 'Moose-TestResources-KGB-P4FullInteracted' with: 'Moose-TestResources-KGB-P4FullInteracted-tg.1';
			package: 'Moose-TestResources-KGB-P6InteractedReferee' with: 'Moose-TestResources-KGB-P6InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P5FullReferee' with: 'Moose-TestResources-KGB-P5FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P1FullReferencer' with: 'Moose-TestResources-KGB-P1FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with: 'Moose-TestResources-KGB-P2InteractedReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer' with: 'Moose-TestResources-KGB-P3InteractedReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee' with: 'Moose-TestResources-KGB-P7ReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with: 'Moose-TestResources-KGB-P8FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P9FullReferencer' with: 'Moose-TestResources-KGB-P9FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P10InteractedReferee' with: 'Moose-TestResources-KGB-P10InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P11FullReferee' with: 'Moose-TestResources-KGB-P11FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P12FullReferencer' with: 'Moose-TestResources-KGB-P12FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P13FullReferencer' with: 'Moose-TestResources-KGB-P13FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P14FullReferee' with: 'Moose-TestResources-KGB-P14FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-PExtensions' with: 'Moose-TestResources-KGB-PExtensions-tg.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with: 'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with: 'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with: 'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with: 'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3'.].
! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'AlexandreBergel 2/16/2011 18:51'!
version431: spec
	<version: '4.3.1' imports: #('4.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/16/2011 18:49'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.2';
			project: 'PetitParser for Moose' with: '1.0';
			project: 'DSM for Moose' with: 'default';
			project: 'Glamour for Moose' with: '2.0.6';
			project: 'Mondrian for Moose' with: '2.46';
			project: 'SmallDude for Moose' with: '2.0-beta.7';
			project: 'Merlin' with: '1.0';
			project: 'RPackage' with: 'default'.
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.87';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.16';
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-pmm.7';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.24';
			package: 'Filesystem' with: 'Filesystem-tg.85';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.57';
			package: 'Fame' with: 'Fame-TudorGirba.167';
			package: 'Hashtable' with: 'Hashtable-simon_denier.31';
			package: 'OSProcess' with: 'OSProcess-dtl.59';
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Moose-Core' with: 'Moose-Core-TudorGirba.312';
			package: 'Famix-Specifications' with: 'Famix-Specifications-tg.5';
			package: 'Famix-Core' with: 'Famix-Core-TudorGirba.140';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simondenier.75';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-AndreHora.43';
			package: 'Famix-Java' with: 'Famix-Java-TudorGirba.40';
			package: 'Famix-C' with: 'Famix-C-TudorGirba.4';
			package: 'Famix-Extensions' with: 'Famix-Extensions-AndreHora.162';
			package: 'Famix-File' with: 'Famix-File-TudorGirba.32';
			package: 'PetitManifestMf' with: 'PetitManifestMf-tg.9';
			package: 'PetitMSE' with: 'PetitMSE-TudorGirba.13';
			package: 'PetitJava' with: 'PetitJava-TudorGirba.82';
			package: 'Famix-ManifestMf' with: 'Famix-ManifestMf-tg.6';
			package: 'Moose-Hismo' with: 'Moose-Hismo-TudorGirba.36';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-TudorGirba.24';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-tg.37';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-TudorGirba.105';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-TudorGirba.16';
			package: 'Moose-Finder' with: 'Moose-Finder-TudorGirba.300';
			package: 'Moose-Wizard' with: 'Moose-Wizard-TudorGirba.66';
			package: 'Arki-Reporter-Core' with: 'Arki-Reporter-Core-TudorGirba.10';
			package: 'Arki-Reporter-Browser' with: 'Arki-Reporter-Browser-TudorGirba.6';
			package: 'Arki-Tests-Reporter' with: 'Arki-Tests-Reporter-tg.8';
			package: 'Moose-Tests-Core' with: 'Moose-Tests-Core-TudorGirba.17';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-simondenier.16';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-TudorGirba.15';
			package: 'Famix-Tests-C' with: 'Famix-Tests-C-TudorGirba.1';
			package: 'Famix-Tests-Extensions' with: 'Famix-Tests-Extensions-AndreHora.9';
			package: 'MondrianGraphVizLayout' with: 'MondrianGraphVizLayout-simondenier.14';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-cyrille_delaunay.138';
			package: 'Moose-DistributionMap' with: 'Moose-DistributionMap-cyrille_delaunay.14';
			package: 'Moose-Development-Tools' with: 'Moose-Development-Tools-cyrille_delaunay.2';
			package: 'Moose-Tests-SmalltalkImporter-Core' with: 'Moose-Tests-SmalltalkImporter-Core-TudorGirba.18';
			package: 'Moose-TestResources-Reference-Core' with: 'Moose-TestResources-Reference-Core-tg.1';
			package: 'Moose-TestResources-Reference-PackageOne' with: 'Moose-TestResources-Reference-PackageOne-tg.1';
			package: 'Moose-TestResources-Reference-PackageTwo' with: 'Moose-TestResources-Reference-PackageTwo-tg.2';
			package: 'Moose-Tests-SmalltalkImporter-LAN' with: 'Moose-Tests-SmalltalkImporter-LAN-cyrille_delaunay.5';
			package: 'Moose-TestResources-LAN' with: 'Moose-TestResources-LAN-jl.2';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with: 'Moose-Tests-SmalltalkImporter-KGB-AndreHora.5';
			package: 'Moose-TestResources-KGB-P4FullInteracted' with: 'Moose-TestResources-KGB-P4FullInteracted-tg.1';
			package: 'Moose-TestResources-KGB-P6InteractedReferee' with: 'Moose-TestResources-KGB-P6InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P5FullReferee' with: 'Moose-TestResources-KGB-P5FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P1FullReferencer' with: 'Moose-TestResources-KGB-P1FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with: 'Moose-TestResources-KGB-P2InteractedReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer' with: 'Moose-TestResources-KGB-P3InteractedReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee' with: 'Moose-TestResources-KGB-P7ReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with: 'Moose-TestResources-KGB-P8FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P9FullReferencer' with: 'Moose-TestResources-KGB-P9FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P10InteractedReferee' with: 'Moose-TestResources-KGB-P10InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P11FullReferee' with: 'Moose-TestResources-KGB-P11FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P12FullReferencer' with: 'Moose-TestResources-KGB-P12FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P13FullReferencer' with: 'Moose-TestResources-KGB-P13FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P14FullReferee' with: 'Moose-TestResources-KGB-P14FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-PExtensions' with: 'Moose-TestResources-KGB-PExtensions-tg.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with: 'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with: 'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with: 'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with: 'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3';
			package: 'Moose-Tests-MonticelloImporter' with: 'Moose-Tests-MonticelloImporter-TudorGirba.1'. ].
! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'AlexandreBergel 2/18/2011 15:23'!
version432: spec
	<version: '4.3.2' imports: #('4.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/18/2011 12:56'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.2';
			project: 'PetitParser for Moose' with: '1.0';
			project: 'DSM for Moose' with: '2.1';
			project: 'Glamour for Moose' with: '2.1';
			project: 'Mondrian for Moose' with: '2.50';
			project: 'SmallDude for Moose' with: 'default';
			project: 'Merlin' with: '1.0';
			project: 'RPackage' with: '1.0'.
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.87';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.16';
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-pmm.7';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.24';
			package: 'Filesystem' with: 'Filesystem-tg.85';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.57';
			package: 'Fame' with: 'Fame-TudorGirba.167';
			package: 'Hashtable' with: 'Hashtable-simon_denier.31';
			package: 'OSProcess' with: 'OSProcess-dtl.59';
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Moose-Core' with: 'Moose-Core-TudorGirba.312';
			package: 'Famix-Specifications' with: 'Famix-Specifications-tg.5';
			package: 'Famix-Core' with: 'Famix-Core-TudorGirba.140';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simondenier.75';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-AndreHora.43';
			package: 'Famix-Java' with: 'Famix-Java-TudorGirba.40';
			package: 'Famix-C' with: 'Famix-C-TudorGirba.4';
			package: 'Famix-Extensions' with: 'Famix-Extensions-AndreHora.162';
			package: 'Famix-File' with: 'Famix-File-TudorGirba.32';
			package: 'PetitManifestMf' with: 'PetitManifestMf-tg.9';
			package: 'PetitMSE' with: 'PetitMSE-TudorGirba.13';
			package: 'PetitJava' with: 'PetitJava-TudorGirba.82';
			package: 'Famix-ManifestMf' with: 'Famix-ManifestMf-tg.6';
			package: 'Moose-Hismo' with: 'Moose-Hismo-TudorGirba.36';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-TudorGirba.24';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-tg.37';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-TudorGirba.105';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-TudorGirba.16';
			package: 'Moose-Finder' with: 'Moose-Finder-TudorGirba.300';
			package: 'Moose-Wizard' with: 'Moose-Wizard-TudorGirba.66';
			package: 'Arki-Reporter-Core' with: 'Arki-Reporter-Core-TudorGirba.10';
			package: 'Arki-Reporter-Browser' with: 'Arki-Reporter-Browser-TudorGirba.6';
			package: 'Arki-Tests-Reporter' with: 'Arki-Tests-Reporter-tg.8';
			package: 'Moose-Tests-Core' with: 'Moose-Tests-Core-TudorGirba.17';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-simondenier.16';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-TudorGirba.15';
			package: 'Famix-Tests-C' with: 'Famix-Tests-C-TudorGirba.1';
			package: 'Famix-Tests-Extensions' with: 'Famix-Tests-Extensions-AndreHora.9';
			package: 'MondrianGraphVizLayout' with: 'MondrianGraphVizLayout-simondenier.14';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-cyrille_delaunay.138';
			package: 'Moose-DistributionMap' with: 'Moose-DistributionMap-cyrille_delaunay.14';
			package: 'Moose-Development-Tools' with: 'Moose-Development-Tools-cyrille_delaunay.2';
			package: 'Moose-Tests-SmalltalkImporter-Core' with: 'Moose-Tests-SmalltalkImporter-Core-TudorGirba.18';
			package: 'Moose-TestResources-Reference-Core' with: 'Moose-TestResources-Reference-Core-tg.1';
			package: 'Moose-TestResources-Reference-PackageOne' with: 'Moose-TestResources-Reference-PackageOne-tg.1';
			package: 'Moose-TestResources-Reference-PackageTwo' with: 'Moose-TestResources-Reference-PackageTwo-tg.2';
			package: 'Moose-Tests-SmalltalkImporter-LAN' with: 'Moose-Tests-SmalltalkImporter-LAN-cyrille_delaunay.5';
			package: 'Moose-TestResources-LAN' with: 'Moose-TestResources-LAN-jl.2';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with: 'Moose-Tests-SmalltalkImporter-KGB-AndreHora.5';
			package: 'Moose-TestResources-KGB-P4FullInteracted' with: 'Moose-TestResources-KGB-P4FullInteracted-tg.1';
			package: 'Moose-TestResources-KGB-P6InteractedReferee' with: 'Moose-TestResources-KGB-P6InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P5FullReferee' with: 'Moose-TestResources-KGB-P5FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P1FullReferencer' with: 'Moose-TestResources-KGB-P1FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with: 'Moose-TestResources-KGB-P2InteractedReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer' with: 'Moose-TestResources-KGB-P3InteractedReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee' with: 'Moose-TestResources-KGB-P7ReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with: 'Moose-TestResources-KGB-P8FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P9FullReferencer' with: 'Moose-TestResources-KGB-P9FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P10InteractedReferee' with: 'Moose-TestResources-KGB-P10InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P11FullReferee' with: 'Moose-TestResources-KGB-P11FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P12FullReferencer' with: 'Moose-TestResources-KGB-P12FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P13FullReferencer' with: 'Moose-TestResources-KGB-P13FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P14FullReferee' with: 'Moose-TestResources-KGB-P14FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-PExtensions' with: 'Moose-TestResources-KGB-PExtensions-tg.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with: 'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with: 'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with: 'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with: 'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3';
			package: 'Moose-Tests-MonticelloImporter' with: 'Moose-Tests-MonticelloImporter-TudorGirba.1'. ].
! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'AlexandreBergel 2/19/2011 10:29'!
version433: spec
	<version: '4.3.3' imports: #('4.3.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/18/2011 15:39'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.2';
			project: 'PetitParser for Moose' with: '1.2';
			project: 'DSM for Moose' with: '2.1';
			project: 'Glamour for Moose' with: '2.1';
			project: 'Mondrian for Moose' with: '2.50';
			project: 'SmallDude for Moose' with: '2.1';
			project: 'Merlin' with: '1.0';
			project: 'RPackage' with: '1.0'.
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.87';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.16';
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-pmm.7';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-lr.24';
			package: 'Filesystem' with: 'Filesystem-tg.85';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Phexample' with: 'Phexample-NikoSchwarz.57';
			package: 'Fame' with: 'Fame-TudorGirba.167';
			package: 'Hashtable' with: 'Hashtable-simon_denier.31';
			package: 'OSProcess' with: 'OSProcess-dtl.59';
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Moose-Core' with: 'Moose-Core-TudorGirba.312';
			package: 'Famix-Specifications' with: 'Famix-Specifications-tg.5';
			package: 'Famix-Core' with: 'Famix-Core-TudorGirba.140';
			package: 'Famix-Implementation' with: 'Famix-Implementation-simondenier.75';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-AndreHora.43';
			package: 'Famix-Java' with: 'Famix-Java-TudorGirba.40';
			package: 'Famix-C' with: 'Famix-C-TudorGirba.4';
			package: 'Famix-Extensions' with: 'Famix-Extensions-AndreHora.162';
			package: 'Famix-File' with: 'Famix-File-TudorGirba.32';
			package: 'PetitManifestMf' with: 'PetitManifestMf-tg.9';
			package: 'PetitMSE' with: 'PetitMSE-TudorGirba.13';
			package: 'PetitJava' with: 'PetitJava-TudorGirba.82';
			package: 'Famix-ManifestMf' with: 'Famix-ManifestMf-tg.6';
			package: 'Moose-Hismo' with: 'Moose-Hismo-TudorGirba.36';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-TudorGirba.24';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-tg.37';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-TudorGirba.105';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-TudorGirba.16';
			package: 'Moose-Finder' with: 'Moose-Finder-TudorGirba.300';
			package: 'Moose-Wizard' with: 'Moose-Wizard-TudorGirba.66';
			package: 'Arki-Reporter-Core' with: 'Arki-Reporter-Core-TudorGirba.10';
			package: 'Arki-Reporter-Browser' with: 'Arki-Reporter-Browser-TudorGirba.6';
			package: 'Arki-Tests-Reporter' with: 'Arki-Tests-Reporter-tg.8';
			package: 'Moose-Tests-Core' with: 'Moose-Tests-Core-TudorGirba.17';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-simondenier.16';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-TudorGirba.15';
			package: 'Famix-Tests-C' with: 'Famix-Tests-C-TudorGirba.1';
			package: 'Famix-Tests-Extensions' with: 'Famix-Tests-Extensions-AndreHora.9';
			package: 'MondrianGraphVizLayout' with: 'MondrianGraphVizLayout-simondenier.14';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-cyrille_delaunay.138';
			package: 'Moose-DistributionMap' with: 'Moose-DistributionMap-cyrille_delaunay.14';
			package: 'Moose-Development-Tools' with: 'Moose-Development-Tools-cyrille_delaunay.2';
			package: 'Moose-Tests-SmalltalkImporter-Core' with: 'Moose-Tests-SmalltalkImporter-Core-TudorGirba.18';
			package: 'Moose-TestResources-Reference-Core' with: 'Moose-TestResources-Reference-Core-tg.1';
			package: 'Moose-TestResources-Reference-PackageOne' with: 'Moose-TestResources-Reference-PackageOne-tg.1';
			package: 'Moose-TestResources-Reference-PackageTwo' with: 'Moose-TestResources-Reference-PackageTwo-tg.2';
			package: 'Moose-Tests-SmalltalkImporter-LAN' with: 'Moose-Tests-SmalltalkImporter-LAN-cyrille_delaunay.5';
			package: 'Moose-TestResources-LAN' with: 'Moose-TestResources-LAN-jl.2';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with: 'Moose-Tests-SmalltalkImporter-KGB-AndreHora.5';
			package: 'Moose-TestResources-KGB-P4FullInteracted' with: 'Moose-TestResources-KGB-P4FullInteracted-tg.1';
			package: 'Moose-TestResources-KGB-P6InteractedReferee' with: 'Moose-TestResources-KGB-P6InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P5FullReferee' with: 'Moose-TestResources-KGB-P5FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P1FullReferencer' with: 'Moose-TestResources-KGB-P1FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with: 'Moose-TestResources-KGB-P2InteractedReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer' with: 'Moose-TestResources-KGB-P3InteractedReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee' with: 'Moose-TestResources-KGB-P7ReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with: 'Moose-TestResources-KGB-P8FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P9FullReferencer' with: 'Moose-TestResources-KGB-P9FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P10InteractedReferee' with: 'Moose-TestResources-KGB-P10InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P11FullReferee' with: 'Moose-TestResources-KGB-P11FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P12FullReferencer' with: 'Moose-TestResources-KGB-P12FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P13FullReferencer' with: 'Moose-TestResources-KGB-P13FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P14FullReferee' with: 'Moose-TestResources-KGB-P14FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-PExtensions' with: 'Moose-TestResources-KGB-PExtensions-tg.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with: 'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with: 'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with: 'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with: 'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3';
			package: 'Moose-Tests-MonticelloImporter' with: 'Moose-Tests-MonticelloImporter-TudorGirba.1'. ].
! !

!ConfigurationOfMoose methodsFor: 'versions' stamp: 'AlexandreBergel 2/19/2011 17:36'!
version434: spec
	<version: '4.3.4' imports: #('4.3.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/19/2011 17:36'.
		spec 
			project: 'MooseAlgos for Moose' with: '2.2';
			project: 'PetitParser for Moose' with: '1.2';
			project: 'DSM for Moose' with: '2.1';
			project: 'Glamour for Moose' with: '2.1';
			project: 'Mondrian for Moose' with: '2.50';
			project: 'SmallDude for Moose' with: '2.1';
			project: 'Merlin' with: '1.0';
			project: 'RPackage' with: '1.0';
			project: 'Fame' with: '1.0'.
		spec 
			package: 'AST-Core' with: 'AST-Core-lr.87';
			package: 'Refactoring-Core' with: 'Refactoring-Core-lr.153';
			package: 'Refactoring-Changes' with: 'Refactoring-Changes-lr.16';
			package: 'Refactoring-Critics' with: 'Refactoring-Critics-pmm.8';
			package: 'Refactoring-Environment' with: 'Refactoring-Environment-lr.4';
			package: 'Refactoring-Spelling' with: 'Refactoring-Spelling-pmm.25';
			package: 'Filesystem' with: 'Filesystem-tg.85';
			package: 'Nile-Base' with: 'Nile-Base-DamienCassou.81';
			package: 'Hashtable' with: 'Hashtable-simon_denier.31';
			package: 'OSProcess' with: 'OSProcess-dtl.59';
			package: 'CollectionExtensions' with: 'CollectionExtensions-simondenier.26';
			package: 'Moose-Core' with: 'Moose-Core-TudorGirba.312';
			package: 'Famix-Specifications' with: 'Famix-Specifications-tg.5';
			package: 'Famix-Core' with: 'Famix-Core-TudorGirba.140';
			package: 'Famix-Implementation' with: 'Famix-Implementation-TudorGirba.76';
			package: 'Famix-Smalltalk' with: 'Famix-Smalltalk-AndreHora.43';
			package: 'Famix-Java' with: 'Famix-Java-TudorGirba.40';
			package: 'Famix-C' with: 'Famix-C-TudorGirba.4';
			package: 'Famix-Extensions' with: 'Famix-Extensions-AndreHora.162';
			package: 'Famix-File' with: 'Famix-File-TudorGirba.32';
			package: 'PetitManifestMf' with: 'PetitManifestMf-tg.9';
			package: 'PetitMSE' with: 'PetitMSE-TudorGirba.13';
			package: 'PetitJava' with: 'PetitJava-TudorGirba.82';
			package: 'Famix-ManifestMf' with: 'Famix-ManifestMf-tg.6';
			package: 'Moose-Hismo' with: 'Moose-Hismo-TudorGirba.36';
			package: 'Famix-SourceAnchor' with: 'Famix-SourceAnchor-TudorGirba.24';
			package: 'Moose-GenericImporter' with: 'Moose-GenericImporter-tg.37';
			package: 'Moose-SmalltalkImporter' with: 'Moose-SmalltalkImporter-TudorGirba.105';
			package: 'Moose-MonticelloImporter' with: 'Moose-MonticelloImporter-TudorGirba.16';
			package: 'Moose-Finder' with: 'Moose-Finder-TudorGirba.300';
			package: 'Moose-Wizard' with: 'Moose-Wizard-TudorGirba.66';
			package: 'Arki-Reporter-Core' with: 'Arki-Reporter-Core-TudorGirba.10';
			package: 'Arki-Reporter-Browser' with: 'Arki-Reporter-Browser-TudorGirba.6';
			package: 'Arki-Tests-Reporter' with: 'Arki-Tests-Reporter-tg.8';
			package: 'Moose-Tests-Core' with: 'Moose-Tests-Core-TudorGirba.17';
			package: 'Famix-Tests-Core' with: 'Famix-Tests-Core-TudorGirba.17';
			package: 'Famix-Tests-Java' with: 'Famix-Tests-Java-TudorGirba.15';
			package: 'Famix-Tests-C' with: 'Famix-Tests-C-TudorGirba.1';
			package: 'Famix-Tests-Extensions' with: 'Famix-Tests-Extensions-AndreHora.9';
			package: 'MondrianGraphVizLayout' with: 'MondrianGraphVizLayout-simondenier.14';
			package: 'Moose-MondrianPaintings' with: 'Moose-MondrianPaintings-TudorGirba.139';
			package: 'Moose-DistributionMap' with: 'Moose-DistributionMap-cyrille_delaunay.14';
			package: 'Moose-Development-Tools' with: 'Moose-Development-Tools-cyrille_delaunay.2';
			package: 'Moose-Tests-SmalltalkImporter-Core' with: 'Moose-Tests-SmalltalkImporter-Core-TudorGirba.18';
			package: 'Moose-TestResources-Reference-Core' with: 'Moose-TestResources-Reference-Core-tg.1';
			package: 'Moose-TestResources-Reference-PackageOne' with: 'Moose-TestResources-Reference-PackageOne-tg.1';
			package: 'Moose-TestResources-Reference-PackageTwo' with: 'Moose-TestResources-Reference-PackageTwo-tg.2';
			package: 'Moose-Tests-SmalltalkImporter-LAN' with: 'Moose-Tests-SmalltalkImporter-LAN-cyrille_delaunay.5';
			package: 'Moose-TestResources-LAN' with: 'Moose-TestResources-LAN-jl.2';
			package: 'Moose-Tests-SmalltalkImporter-KGB' with: 'Moose-Tests-SmalltalkImporter-KGB-TudorGirba.6';
			package: 'Moose-TestResources-KGB-P4FullInteracted' with: 'Moose-TestResources-KGB-P4FullInteracted-tg.1';
			package: 'Moose-TestResources-KGB-P6InteractedReferee' with: 'Moose-TestResources-KGB-P6InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P5FullReferee' with: 'Moose-TestResources-KGB-P5FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P1FullReferencer' with: 'Moose-TestResources-KGB-P1FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P2InteractedReferencerReferee' with: 'Moose-TestResources-KGB-P2InteractedReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P3InteractedReferencer' with: 'Moose-TestResources-KGB-P3InteractedReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P7ReferencerReferee' with: 'Moose-TestResources-KGB-P7ReferencerReferee-tg.1';
			package: 'Moose-TestResources-KGB-P8FullReferencer' with: 'Moose-TestResources-KGB-P8FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P9FullReferencer' with: 'Moose-TestResources-KGB-P9FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P10InteractedReferee' with: 'Moose-TestResources-KGB-P10InteractedReferee-tg.1';
			package: 'Moose-TestResources-KGB-P11FullReferee' with: 'Moose-TestResources-KGB-P11FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-P12FullReferencer' with: 'Moose-TestResources-KGB-P12FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P13FullReferencer' with: 'Moose-TestResources-KGB-P13FullReferencer-tg.1';
			package: 'Moose-TestResources-KGB-P14FullReferee' with: 'Moose-TestResources-KGB-P14FullReferee-tg.1';
			package: 'Moose-TestResources-KGB-PExtensions' with: 'Moose-TestResources-KGB-PExtensions-tg.1';
			package: 'Moose-TestResources-PackageBlueprint-P1' with: 'Moose-TestResources-PackageBlueprint-P1-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P2' with: 'Moose-TestResources-PackageBlueprint-P2-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P3' with: 'Moose-TestResources-PackageBlueprint-P3-JeanRemyFalleri.1';
			package: 'Moose-TestResources-PackageBlueprint-P4' with: 'Moose-TestResources-PackageBlueprint-P4-JeanRemyFalleri.3';
			package: 'Moose-Tests-MonticelloImporter' with: 'Moose-Tests-MonticelloImporter-TudorGirba.1'. ].
! !
